-- This file will be read by Luacheck <https://github.com/mpeterv/luacheck>.
-- It's primarily to specify what globals are available across all files.

std = "luajit+garrysmod+wiremod"

-- Problems to ignore
ignore = {
    "213",
    "212", -- Unused argument
    "631", -- Line too long
    "42.", -- Shadowing
    "43.", -- Upvalue shadowing
}

enable = {
    "111",
    "112",
    "113",
    "121",
    "122",
    "131",
    "142",
    "143",
}

files[".luacheckrc"].std = "min+luacheck"
files[".luacheckrc"].ignore = {}
stds.luacheck = {}
stds.luacheck.globals = {
  "files",
  "ignore",
  "std",
  "stds",
}

cache = true
global = true

stds.garrysmod = {}
stds.garrysmod.read_globals = {

  -- BEGIN_GENERATED_CODE

  -- Hooks
  "EFFECT",
  "ENT",
  "ENTITY",
  "ENT_AI",
  "ENT_ANIM",
  "ENT_BRUSH",
  "ENT_FILTER",
  "ENT_NEXTBOT",
  "ENT_POINT",
  "GM",
  "PANEL",
  "PLAYER",
  "SANDBOX",
  "SWEP",
  "TOOL",

  -- Libraries
  "GWEN",
  "achievements",
  "ai",
  "ai_schedule",
  "ai_task",
  "baseclass",
  "bit",
  "cam",
  "chat",
  "cleanup",
  "concommand",
  "constraint",
  "construct",
  "controlpanel",
  "cookie",
  "coroutine",
  "cvars",
  "debug",
  "debugoverlay",
  "derma",
  "dragndrop",
  "draw",
  "drive",
  "duplicator",
  "effects",
  "engine",
  "ents",
  "file",
  "frame_blend",
  "game",
  "gameevent",
  "gamemode",
  "gmod",
  "gmsave",
  "gui",
  "halo",
  "hammer",
  "hook",
  "http",
  "input",
  "jit",
  "killicon",
  "language",
  "list",
  "markup",
  "math",
  "matproxy",
  "menu",
  "menubar",
  "mesh",
  "motionsensor",
  "navmesh",
  "net",
  "notification",
  "numpad",
  "os",
  "package",
  "physenv",
  "player",
  "player_manager",
  "presets",
  "properties",
  "render",
  "resource",
  "saverestore",
  "scripted_ents",
  "search",
  "serverlist",
  "sound",
  "spawnmenu",
  "sql",
  "steamworks",
  "string",
  "surface",
  "system",
  "table",
  "team",
  "timer",
  "umsg",
  "undo",
  "usermessage",
  "utf8",
  "util",
  "vgui",
  "video",
  "weapons",
  "widgets",

  -- Global
  "AccessorFunc",
  "Add_NPC_Class",
  "AddBackgroundImage",
  "AddConsoleCommand",
  "AddCSLuaFile",
  "AddonMaterial",
  "AddOriginToPVS",
  "AddWorldTip",
  "Angle",
  "AngleRand",
  "assert",
  "BroadcastLua",
  "BuildNetworkedVarsTable",
  "CancelLoading",
  "ChangeBackground",
  "ChangeTooltip",
  "ClearBackgroundImages",
  "ClientsideModel",
  "ClientsideRagdoll",
  "ClientsideScene",
  "CloseDermaMenus",
  "collectgarbage",
  "Color",
  "ColorAlpha",
  "ColorRand",
  "ColorToHSV",
  "CompileFile",
  "CompileString",
  "ConsoleAutoComplete",
  "ConVarExists",
  "CreateClientConVar",
  "CreateConVar",
  "CreateMaterial",
  "CreateParticleSystem",
  "CreatePhysCollideBox",
  "CreateSound",
  "CreateSprite",
  "CurTime",
  "DamageInfo",
  "DebugInfo",
  "DEFINE_BASECLASS",
  "DeriveGamemode",
  "Derma_Anim",
  "Derma_DrawBackgroundBlur",
  "Derma_Hook",
  "Derma_Install_Convar_Functions",
  "Derma_Message",
  "Derma_Query",
  "Derma_StringRequest",
  "DermaMenu",
  "DisableClipping",
  "DOF_Kill",
  "DOF_Start",
  "DOFModeHack",
  "DrawBackground",
  "DrawBloom",
  "DrawColorModify",
  "DrawMaterialOverlay",
  "DrawMotionBlur",
  "DrawSharpen",
  "DrawSobel",
  "DrawSunbeams",
  "DrawTexturize",
  "DrawToyTown",
  "DropEntityIfHeld",
  "DynamicLight",
  "EffectData",
  "Either",
  "EmitSentence",
  "EmitSound",
  "EndTooltip",
  "Entity",
  "Error",
  "error",
  "ErrorNoHalt",
  "EyeAngles",
  "EyePos",
  "EyeVector",
  "FindMetaTable",
  "FindTooltip",
  "Format",
  "FrameNumber",
  "FrameTime",
  "GameDetails",
  "gcinfo",
  "GetConVar",
  "GetConVar_Internal",
  "GetConVarNumber",
  "GetConVarString",
  "GetDefaultLoadingHTML",
  "GetDemoFileDetails",
  "GetDownloadables",
  "getfenv",
  "GetGlobalAngle",
  "GetGlobalBool",
  "GetGlobalEntity",
  "GetGlobalFloat",
  "GetGlobalInt",
  "GetGlobalString",
  "GetGlobalVector",
  "GetHostName",
  "GetHUDPanel",
  "GetLoadPanel",
  "GetLoadStatus",
  "GetMapList",
  "getmetatable",
  "GetOverlayPanel",
  "GetRenderTarget",
  "GetRenderTargetEx",
  "GetSaveFileDetails",
  "GetViewEntity",
  "HSVToColor",
  "HTTP",
  "include",
  "IncludeCS",
  "ipairs",
  "isangle",
  "isbool",
  "IsColor",
  "IsEnemyEntityName",
  "IsEntity",
  "isentity",
  "IsFirstTimePredicted",
  "IsFriendEntityName",
  "isfunction",
  "IsInGame",
  "ismatrix",
  "IsMounted",
  "isnumber",
  "ispanel",
  "isstring",
  "istable",
  "IsTableOfEntitiesValid",
  "IsUselessModel",
  "IsValid",
  "isvector",
  "JoinServer",
  "JS_Language",
  "JS_Utility",
  "JS_Workshop",
  "Label",
  "LanguageChanged",
  "Lerp",
  "LerpAngle",
  "LerpVector",
  "LoadLastMap",
  "LoadPresets",
  "Localize",
  "LocalPlayer",
  "LocalToWorld",
  "Material",
  "Matrix",
  "Mesh",
  "Model",
  "module",
  "Msg",
  "MsgAll",
  "MsgC",
  "MsgN",
  "NamedColor",
  "newproxy",
  "next",
  "NumDownloadables",
  "NumModelSkins",
  "OnModelLoaded",
  "OpenFolder",
  "OrderVectors",
  "pairs",
  "Particle",
  "ParticleEffect",
  "ParticleEffectAttach",
  "ParticleEmitter",
  "Path",
  "pcall",
  "Player",
  "PositionSpawnIcon",
  "PrecacheParticleSystem",
  "PrecacheScene",
  "PrecacheSentenceFile",
  "PrecacheSentenceGroup",
  "print",
  "PrintMessage",
  "PrintTable",
  "ProjectedTexture",
  "ProtectedCall",
  "RandomPairs",
  "rawequal",
  "rawget",
  "rawset",
  "RealFrameTime",
  "RealTime",
  "RecipientFilter",
  "RecordDemoFrame",
  "RegisterDermaMenuForClose",
  "RememberCursorPosition",
  "RemoveTooltip",
  "RenderAngles",
  "RenderDoF",
  "RenderStereoscopy",
  "RenderSuperDoF",
  "require",
  "RestoreCursorPosition",
  "RunConsoleCommand",
  "RunGameUICommand",
  "RunString",
  "RunStringEx",
  "SafeRemoveEntity",
  "SafeRemoveEntityDelayed",
  "SaveLastMap",
  "SavePresets",
  "ScreenScale",
  "ScrH",
  "ScrW",
  "select",
  "SendUserMessage",
  "ServerLog",
  "SetClipboardText",
  "setfenv",
  "SetGlobalAngle",
  "SetGlobalBool",
  "SetGlobalEntity",
  "SetGlobalFloat",
  "SetGlobalInt",
  "SetGlobalString",
  "SetGlobalVector",
  "setmetatable",
  "SetPhysConstraintSystem",
  "SortedPairs",
  "SortedPairsByMemberValue",
  "SortedPairsByValue",
  "Sound",
  "SoundDuration",
  "SQLStr",
  "SScale",
  "STNDRD",
  "SuppressHostEvents",
  "SysTime",
  "TauntCamera",
  "TextEntryLoseFocus",
  "TimedCos",
  "TimedSin",
  "tobool",
  "ToggleFavourite",
  "tonumber",
  "tostring",
  "TranslateDownloadableName",
  "type",
  "TypeID",
  "unpack",
  "UnPredictedCurTime",
  "UpdateLoadPanel",
  "UTIL_IsUselessModel",
  "ValidPanel",
  "Vector",
  "VectorRand",
  "VGUIFrameTime",
  "VGUIRect",
  "VisualizeLayout",
  "WorkshopFileBase",
  "WorldToLocal",
  "xpcall",

  -- Classes
  "Angle",
  "CEffectData",
  "CLuaEmitter",
  "CLuaLocomotion",
  "CLuaParticle",
  "CMoveData",
  "CNavArea",
  "CNavLadder",
  "CNewParticleEffect",
  "CRecipientFilter",
  "CSEnt",
  "CSoundPatch",
  "CTakeDamageInfo",
  "CUserCmd",
  "ConVar",
  "Entity",
  "File",
  "IGModAudioChannel",
  "IMaterial",
  "IMesh",
  "IRestore",
  "ISave",
  "ITexture",
  "IVideoWriter",
  "MarkupObject",
  "NPC",
  "NextBot",
  "Panel",
  "PathFollower",
  "PhysCollide",
  "PhysObj",
  "Player",
  "ProjectedTexture",
  "Schedule",
  "Stack",
  "Task",
  "Tool",
  "VMatrix",
  "Vector",
  "Vehicle",
  "Weapon",
  "bf_read",
  "navmesh",

  -- Panels
  "AchievementIcon",
  "AvatarImage",
  "Awesomium",
  "Button",
  "CheckButton",
  "ContentIcon",
  "ContextBase",
  "ControlPanel",
  "ControlPresets",
  "CtrlListBox",
  "DAdjustableModelPanel",
  "DAlphaBar",
  "DBinder",
  "DBubbleContainer",
  "DButton",
  "DCategoryHeader",
  "DCategoryList",
  "DCheckBox",
  "DCheckBoxLabel",
  "DCollapsibleCategory",
  "DColorButton",
  "DColorCombo",
  "DColorCube",
  "DColorMixer",
  "DColorPalette",
  "DColumnSheet",
  "DComboBox",
  "DDragBase",
  "DDrawer",
  "DEntityProperties",
  "DExpandButton",
  "DFileBrowser",
  "DForm",
  "DFrame",
  "DGrid",
  "DHTML",
  "DHTMLControls",
  "DHorizontalDivider",
  "DHorizontalScroller",
  "DIconBrowser",
  "DIconLayout",
  "DImage",
  "DImageButton",
  "DKillIcon",
  "DLabel",
  "DLabelEditable",
  "DLabelURL",
  "DListBox",
  "DListBoxItem",
  "DListLayout",
  "DListView",
  "DListViewHeaderLabel",
  "DListViewLabel",
  "DListViewLine",
  "DListView_Column",
  "DListView_ColumnPlain",
  "DListView_DraggerBar",
  "DListView_Line",
  "DMenu",
  "DMenuBar",
  "DMenuOption",
  "DMenuOptionCVar",
  "DModelPanel",
  "DModelSelect",
  "DModelSelectMulti",
  "DNotify",
  "DNumPad",
  "DNumSlider",
  "DNumberScratch",
  "DNumberWang",
  "DPanel",
  "DPanelList",
  "DPanelOverlay",
  "DPanelSelect",
  "DProgress",
  "DProperties",
  "DPropertySheet",
  "DProperty_Boolean",
  "DProperty_Combo",
  "DProperty_Float",
  "DProperty_Generic",
  "DProperty_Int",
  "DProperty_VectorColor",
  "DRGBPicker",
  "DScrollBarGrip",
  "DScrollPanel",
  "DShape",
  "DSizeToContents",
  "DSlider",
  "DSprite",
  "DTab",
  "DTextEntry",
  "DTileLayout",
  "DTooltip",
  "DTree",
  "DTree_Node",
  "DTree_Node_Button",
  "DVScrollBar",
  "DVerticalDivider",
  "EditablePanel",
  "FingerVar",
  "Frame",
  "HTML",
  "IconEditor",
  "ImageCheckBox",
  "Label",
  "MatSelect",
  "Material",
  "ModelImage",
  "Panel",
  "PanelList",
  "PresetEditor",
  "PropSelect",
  "RadioButton",
  "RichText",
  "SlideBar",
  "Slider",
  "SpawnIcon",
  "TGAImage",
  "TextEntry",
  "URLLabel",
  "fingerposer",

  -- Enumerations
  --- _USE
  "CONTINUOUS_USE",
  "ONOFF_USE",
  "DIRECTIONAL_USE",
  "SIMPLE_USE",

  --- ACT
  "ACT_INVALID",
  "ACT_RESET",
  "ACT_IDLE",
  "ACT_TRANSITION",
  "ACT_COVER",
  "ACT_COVER_MED",
  "ACT_COVER_LOW",
  "ACT_WALK",
  "ACT_WALK_AIM",
  "ACT_WALK_CROUCH",
  "ACT_WALK_CROUCH_AIM",
  "ACT_RUN",
  "ACT_RUN_AIM",
  "ACT_RUN_CROUCH",
  "ACT_RUN_CROUCH_AIM",
  "ACT_RUN_PROTECTED",
  "ACT_SCRIPT_CUSTOM_MOVE",
  "ACT_RANGE_ATTACK1",
  "ACT_RANGE_ATTACK2",
  "ACT_RANGE_ATTACK1_LOW",
  "ACT_RANGE_ATTACK2_LOW",
  "ACT_DIESIMPLE",
  "ACT_DIEBACKWARD",
  "ACT_DIEFORWARD",
  "ACT_DIEVIOLENT",
  "ACT_DIERAGDOLL",
  "ACT_FLY",
  "ACT_HOVER",
  "ACT_GLIDE",
  "ACT_SWIM",
  "ACT_SWIM_IDLE",
  "ACT_JUMP",
  "ACT_HOP",
  "ACT_LEAP",
  "ACT_LAND",
  "ACT_CLIMB_UP",
  "ACT_CLIMB_DOWN",
  "ACT_CLIMB_DISMOUNT",
  "ACT_SHIPLADDER_UP",
  "ACT_SHIPLADDER_DOWN",
  "ACT_STRAFE_LEFT",
  "ACT_STRAFE_RIGHT",
  "ACT_ROLL_LEFT",
  "ACT_ROLL_RIGHT",
  "ACT_TURN_LEFT",
  "ACT_TURN_RIGHT",
  "ACT_CROUCH",
  "ACT_CROUCHIDLE",
  "ACT_STAND",
  "ACT_USE",
  "ACT_SIGNAL1",
  "ACT_SIGNAL2",
  "ACT_SIGNAL3",
  "ACT_SIGNAL_ADVANCE",
  "ACT_SIGNAL_FORWARD",
  "ACT_SIGNAL_GROUP",
  "ACT_SIGNAL_HALT",
  "ACT_SIGNAL_LEFT",
  "ACT_SIGNAL_RIGHT",
  "ACT_SIGNAL_TAKECOVER",
  "ACT_LOOKBACK_RIGHT",
  "ACT_LOOKBACK_LEFT",
  "ACT_COWER",
  "ACT_SMALL_FLINCH",
  "ACT_BIG_FLINCH",
  "ACT_MELEE_ATTACK1",
  "ACT_MELEE_ATTACK2",
  "ACT_RELOAD",
  "ACT_RELOAD_START",
  "ACT_RELOAD_FINISH",
  "ACT_RELOAD_LOW",
  "ACT_ARM",
  "ACT_DISARM",
  "ACT_DROP_WEAPON",
  "ACT_DROP_WEAPON_SHOTGUN",
  "ACT_PICKUP_GROUND",
  "ACT_PICKUP_RACK",
  "ACT_IDLE_ANGRY",
  "ACT_IDLE_RELAXED",
  "ACT_IDLE_STIMULATED",
  "ACT_IDLE_AGITATED",
  "ACT_IDLE_STEALTH",
  "ACT_IDLE_HURT",
  "ACT_WALK_RELAXED",
  "ACT_WALK_STIMULATED",
  "ACT_WALK_AGITATED",
  "ACT_WALK_STEALTH",
  "ACT_RUN_RELAXED",
  "ACT_RUN_STIMULATED",
  "ACT_RUN_AGITATED",
  "ACT_RUN_STEALTH",
  "ACT_IDLE_AIM_RELAXED",
  "ACT_IDLE_AIM_STIMULATED",
  "ACT_IDLE_AIM_AGITATED",
  "ACT_IDLE_AIM_STEALTH",
  "ACT_WALK_AIM_RELAXED",
  "ACT_WALK_AIM_STIMULATED",
  "ACT_WALK_AIM_AGITATED",
  "ACT_WALK_AIM_STEALTH",
  "ACT_RUN_AIM_RELAXED",
  "ACT_RUN_AIM_STIMULATED",
  "ACT_RUN_AIM_AGITATED",
  "ACT_RUN_AIM_STEALTH",
  "ACT_CROUCHIDLE_STIMULATED",
  "ACT_CROUCHIDLE_AIM_STIMULATED",
  "ACT_CROUCHIDLE_AGITATED",
  "ACT_WALK_HURT",
  "ACT_RUN_HURT",
  "ACT_SPECIAL_ATTACK1",
  "ACT_SPECIAL_ATTACK2",
  "ACT_COMBAT_IDLE",
  "ACT_WALK_SCARED",
  "ACT_RUN_SCARED",
  "ACT_VICTORY_DANCE",
  "ACT_DIE_HEADSHOT",
  "ACT_DIE_CHESTSHOT",
  "ACT_DIE_GUTSHOT",
  "ACT_DIE_BACKSHOT",
  "ACT_FLINCH_HEAD",
  "ACT_FLINCH_CHEST",
  "ACT_FLINCH_STOMACH",
  "ACT_FLINCH_LEFTARM",
  "ACT_FLINCH_RIGHTARM",
  "ACT_FLINCH_LEFTLEG",
  "ACT_FLINCH_RIGHTLEG",
  "ACT_FLINCH_PHYSICS",
  "ACT_IDLE_ON_FIRE",
  "ACT_WALK_ON_FIRE",
  "ACT_RUN_ON_FIRE",
  "ACT_RAPPEL_LOOP",
  "ACT_180_LEFT",
  "ACT_180_RIGHT",
  "ACT_90_LEFT",
  "ACT_90_RIGHT",
  "ACT_STEP_LEFT",
  "ACT_STEP_RIGHT",
  "ACT_STEP_BACK",
  "ACT_STEP_FORE",
  "ACT_GESTURE_RANGE_ATTACK1",
  "ACT_GESTURE_RANGE_ATTACK2",
  "ACT_GESTURE_MELEE_ATTACK1",
  "ACT_GESTURE_MELEE_ATTACK2",
  "ACT_GESTURE_RANGE_ATTACK1_LOW",
  "ACT_GESTURE_RANGE_ATTACK2_LOW",
  "ACT_MELEE_ATTACK_SWING_GESTURE",
  "ACT_GESTURE_SMALL_FLINCH",
  "ACT_GESTURE_BIG_FLINCH",
  "ACT_GESTURE_FLINCH_BLAST",
  "ACT_GESTURE_FLINCH_BLAST_SHOTGUN",
  "ACT_GESTURE_FLINCH_BLAST_DAMAGED",
  "ACT_GESTURE_FLINCH_BLAST_DAMAGED_SHOTGUN",
  "ACT_GESTURE_FLINCH_HEAD",
  "ACT_GESTURE_FLINCH_CHEST",
  "ACT_GESTURE_FLINCH_STOMACH",
  "ACT_GESTURE_FLINCH_LEFTARM",
  "ACT_GESTURE_FLINCH_RIGHTARM",
  "ACT_GESTURE_FLINCH_LEFTLEG",
  "ACT_GESTURE_FLINCH_RIGHTLEG",
  "ACT_GESTURE_TURN_LEFT",
  "ACT_GESTURE_TURN_RIGHT",
  "ACT_GESTURE_TURN_LEFT45",
  "ACT_GESTURE_TURN_RIGHT45",
  "ACT_GESTURE_TURN_LEFT90",
  "ACT_GESTURE_TURN_RIGHT90",
  "ACT_GESTURE_TURN_LEFT45_FLAT",
  "ACT_GESTURE_TURN_RIGHT45_FLAT",
  "ACT_GESTURE_TURN_LEFT90_FLAT",
  "ACT_GESTURE_TURN_RIGHT90_FLAT",
  "ACT_BARNACLE_HIT",
  "ACT_BARNACLE_PULL",
  "ACT_BARNACLE_CHOMP",
  "ACT_BARNACLE_CHEW",
  "ACT_DO_NOT_DISTURB",
  "ACT_VM_DRAW",
  "ACT_VM_HOLSTER",
  "ACT_VM_IDLE",
  "ACT_VM_FIDGET",
  "ACT_VM_PULLBACK",
  "ACT_VM_PULLBACK_HIGH",
  "ACT_VM_PULLBACK_LOW",
  "ACT_VM_THROW",
  "ACT_VM_PULLPIN",
  "ACT_VM_PRIMARYATTACK",
  "ACT_VM_SECONDARYATTACK",
  "ACT_VM_RELOAD",
  "ACT_VM_DRYFIRE",
  "ACT_VM_HITLEFT",
  "ACT_VM_HITLEFT2",
  "ACT_VM_HITRIGHT",
  "ACT_VM_HITRIGHT2",
  "ACT_VM_HITCENTER",
  "ACT_VM_HITCENTER2",
  "ACT_VM_MISSLEFT",
  "ACT_VM_MISSLEFT2",
  "ACT_VM_MISSRIGHT",
  "ACT_VM_MISSRIGHT2",
  "ACT_VM_MISSCENTER",
  "ACT_VM_MISSCENTER2",
  "ACT_VM_HAULBACK",
  "ACT_VM_SWINGHARD",
  "ACT_VM_SWINGMISS",
  "ACT_VM_SWINGHIT",
  "ACT_VM_IDLE_TO_LOWERED",
  "ACT_VM_IDLE_LOWERED",
  "ACT_VM_LOWERED_TO_IDLE",
  "ACT_VM_RECOIL1",
  "ACT_VM_RECOIL2",
  "ACT_VM_RECOIL3",
  "ACT_VM_PICKUP",
  "ACT_VM_RELEASE",
  "ACT_VM_ATTACH_SILENCER",
  "ACT_VM_DETACH_SILENCER",
  "ACT_SLAM_STICKWALL_IDLE",
  "ACT_SLAM_STICKWALL_ND_IDLE",
  "ACT_SLAM_STICKWALL_ATTACH",
  "ACT_SLAM_STICKWALL_ATTACH2",
  "ACT_SLAM_STICKWALL_ND_ATTACH",
  "ACT_SLAM_STICKWALL_ND_ATTACH2",
  "ACT_SLAM_STICKWALL_DETONATE",
  "ACT_SLAM_STICKWALL_DETONATOR_HOLSTER",
  "ACT_SLAM_STICKWALL_DRAW",
  "ACT_SLAM_STICKWALL_ND_DRAW",
  "ACT_SLAM_STICKWALL_TO_THROW",
  "ACT_SLAM_STICKWALL_TO_THROW_ND",
  "ACT_SLAM_STICKWALL_TO_TRIPMINE_ND",
  "ACT_SLAM_THROW_IDLE",
  "ACT_SLAM_THROW_ND_IDLE",
  "ACT_SLAM_THROW_THROW",
  "ACT_SLAM_THROW_THROW2",
  "ACT_SLAM_THROW_THROW_ND",
  "ACT_SLAM_THROW_THROW_ND2",
  "ACT_SLAM_THROW_DRAW",
  "ACT_SLAM_THROW_ND_DRAW",
  "ACT_SLAM_THROW_TO_STICKWALL",
  "ACT_SLAM_THROW_TO_STICKWALL_ND",
  "ACT_SLAM_THROW_DETONATE",
  "ACT_SLAM_THROW_DETONATOR_HOLSTER",
  "ACT_SLAM_THROW_TO_TRIPMINE_ND",
  "ACT_SLAM_TRIPMINE_IDLE",
  "ACT_SLAM_TRIPMINE_DRAW",
  "ACT_SLAM_TRIPMINE_ATTACH",
  "ACT_SLAM_TRIPMINE_ATTACH2",
  "ACT_SLAM_TRIPMINE_TO_STICKWALL_ND",
  "ACT_SLAM_TRIPMINE_TO_THROW_ND",
  "ACT_SLAM_DETONATOR_IDLE",
  "ACT_SLAM_DETONATOR_DRAW",
  "ACT_SLAM_DETONATOR_DETONATE",
  "ACT_SLAM_DETONATOR_HOLSTER",
  "ACT_SLAM_DETONATOR_STICKWALL_DRAW",
  "ACT_SLAM_DETONATOR_THROW_DRAW",
  "ACT_SHOTGUN_RELOAD_START",
  "ACT_SHOTGUN_RELOAD_FINISH",
  "ACT_SHOTGUN_PUMP",
  "ACT_SMG2_IDLE2",
  "ACT_SMG2_FIRE2",
  "ACT_SMG2_DRAW2",
  "ACT_SMG2_RELOAD2",
  "ACT_SMG2_DRYFIRE2",
  "ACT_SMG2_TOAUTO",
  "ACT_SMG2_TOBURST",
  "ACT_PHYSCANNON_UPGRADE",
  "ACT_RANGE_ATTACK_AR1",
  "ACT_RANGE_ATTACK_AR2",
  "ACT_RANGE_ATTACK_AR2_LOW",
  "ACT_RANGE_ATTACK_AR2_GRENADE",
  "ACT_RANGE_ATTACK_HMG1",
  "ACT_RANGE_ATTACK_ML",
  "ACT_RANGE_ATTACK_SMG1",
  "ACT_RANGE_ATTACK_SMG1_LOW",
  "ACT_RANGE_ATTACK_SMG2",
  "ACT_RANGE_ATTACK_SHOTGUN",
  "ACT_RANGE_ATTACK_SHOTGUN_LOW",
  "ACT_RANGE_ATTACK_PISTOL",
  "ACT_RANGE_ATTACK_PISTOL_LOW",
  "ACT_RANGE_ATTACK_SLAM",
  "ACT_RANGE_ATTACK_TRIPWIRE",
  "ACT_RANGE_ATTACK_THROW",
  "ACT_RANGE_ATTACK_SNIPER_RIFLE",
  "ACT_RANGE_ATTACK_RPG",
  "ACT_MELEE_ATTACK_SWING",
  "ACT_RANGE_AIM_LOW",
  "ACT_RANGE_AIM_SMG1_LOW",
  "ACT_RANGE_AIM_PISTOL_LOW",
  "ACT_RANGE_AIM_AR2_LOW",
  "ACT_COVER_PISTOL_LOW",
  "ACT_COVER_SMG1_LOW",
  "ACT_GESTURE_RANGE_ATTACK_AR1",
  "ACT_GESTURE_RANGE_ATTACK_AR2",
  "ACT_GESTURE_RANGE_ATTACK_AR2_GRENADE",
  "ACT_GESTURE_RANGE_ATTACK_HMG1",
  "ACT_GESTURE_RANGE_ATTACK_ML",
  "ACT_GESTURE_RANGE_ATTACK_SMG1",
  "ACT_GESTURE_RANGE_ATTACK_SMG1_LOW",
  "ACT_GESTURE_RANGE_ATTACK_SMG2",
  "ACT_GESTURE_RANGE_ATTACK_SHOTGUN",
  "ACT_GESTURE_RANGE_ATTACK_PISTOL",
  "ACT_GESTURE_RANGE_ATTACK_PISTOL_LOW",
  "ACT_GESTURE_RANGE_ATTACK_SLAM",
  "ACT_GESTURE_RANGE_ATTACK_TRIPWIRE",
  "ACT_GESTURE_RANGE_ATTACK_THROW",
  "ACT_GESTURE_RANGE_ATTACK_SNIPER_RIFLE",
  "ACT_GESTURE_MELEE_ATTACK_SWING",
  "ACT_IDLE_RIFLE",
  "ACT_IDLE_SMG1",
  "ACT_IDLE_ANGRY_SMG1",
  "ACT_IDLE_PISTOL",
  "ACT_IDLE_ANGRY_PISTOL",
  "ACT_IDLE_ANGRY_SHOTGUN",
  "ACT_IDLE_STEALTH_PISTOL",
  "ACT_IDLE_PACKAGE",
  "ACT_WALK_PACKAGE",
  "ACT_IDLE_SUITCASE",
  "ACT_WALK_SUITCASE",
  "ACT_IDLE_SMG1_RELAXED",
  "ACT_IDLE_SMG1_STIMULATED",
  "ACT_WALK_RIFLE_RELAXED",
  "ACT_RUN_RIFLE_RELAXED",
  "ACT_WALK_RIFLE_STIMULATED",
  "ACT_RUN_RIFLE_STIMULATED",
  "ACT_IDLE_AIM_RIFLE_STIMULATED",
  "ACT_WALK_AIM_RIFLE_STIMULATED",
  "ACT_RUN_AIM_RIFLE_STIMULATED",
  "ACT_IDLE_SHOTGUN_RELAXED",
  "ACT_IDLE_SHOTGUN_STIMULATED",
  "ACT_IDLE_SHOTGUN_AGITATED",
  "ACT_WALK_ANGRY",
  "ACT_POLICE_HARASS1",
  "ACT_POLICE_HARASS2",
  "ACT_IDLE_MANNEDGUN",
  "ACT_IDLE_MELEE",
  "ACT_IDLE_ANGRY_MELEE",
  "ACT_IDLE_RPG_RELAXED",
  "ACT_IDLE_RPG",
  "ACT_IDLE_ANGRY_RPG",
  "ACT_COVER_LOW_RPG",
  "ACT_WALK_RPG",
  "ACT_RUN_RPG",
  "ACT_WALK_CROUCH_RPG",
  "ACT_RUN_CROUCH_RPG",
  "ACT_WALK_RPG_RELAXED",
  "ACT_RUN_RPG_RELAXED",
  "ACT_WALK_RIFLE",
  "ACT_WALK_AIM_RIFLE",
  "ACT_WALK_CROUCH_RIFLE",
  "ACT_WALK_CROUCH_AIM_RIFLE",
  "ACT_RUN_RIFLE",
  "ACT_RUN_AIM_RIFLE",
  "ACT_RUN_CROUCH_RIFLE",
  "ACT_RUN_CROUCH_AIM_RIFLE",
  "ACT_RUN_STEALTH_PISTOL",
  "ACT_WALK_AIM_SHOTGUN",
  "ACT_RUN_AIM_SHOTGUN",
  "ACT_WALK_PISTOL",
  "ACT_RUN_PISTOL",
  "ACT_WALK_AIM_PISTOL",
  "ACT_RUN_AIM_PISTOL",
  "ACT_WALK_STEALTH_PISTOL",
  "ACT_WALK_AIM_STEALTH_PISTOL",
  "ACT_RUN_AIM_STEALTH_PISTOL",
  "ACT_RELOAD_PISTOL",
  "ACT_RELOAD_PISTOL_LOW",
  "ACT_RELOAD_SMG1",
  "ACT_RELOAD_SMG1_LOW",
  "ACT_RELOAD_SHOTGUN",
  "ACT_RELOAD_SHOTGUN_LOW",
  "ACT_GESTURE_RELOAD",
  "ACT_GESTURE_RELOAD_PISTOL",
  "ACT_GESTURE_RELOAD_SMG1",
  "ACT_GESTURE_RELOAD_SHOTGUN",
  "ACT_BUSY_LEAN_LEFT",
  "ACT_BUSY_LEAN_LEFT_ENTRY",
  "ACT_BUSY_LEAN_LEFT_EXIT",
  "ACT_BUSY_LEAN_BACK",
  "ACT_BUSY_LEAN_BACK_ENTRY",
  "ACT_BUSY_LEAN_BACK_EXIT",
  "ACT_BUSY_SIT_GROUND",
  "ACT_BUSY_SIT_GROUND_ENTRY",
  "ACT_BUSY_SIT_GROUND_EXIT",
  "ACT_BUSY_SIT_CHAIR",
  "ACT_BUSY_SIT_CHAIR_ENTRY",
  "ACT_BUSY_SIT_CHAIR_EXIT",
  "ACT_BUSY_STAND",
  "ACT_BUSY_QUEUE",
  "ACT_DUCK_DODGE",
  "ACT_DIE_BARNACLE_SWALLOW",
  "ACT_GESTURE_BARNACLE_STRANGLE",
  "ACT_PHYSCANNON_DETACH",
  "ACT_PHYSCANNON_ANIMATE",
  "ACT_PHYSCANNON_ANIMATE_PRE",
  "ACT_PHYSCANNON_ANIMATE_POST",
  "ACT_DIE_FRONTSIDE",
  "ACT_DIE_RIGHTSIDE",
  "ACT_DIE_BACKSIDE",
  "ACT_DIE_LEFTSIDE",
  "ACT_OPEN_DOOR",
  "ACT_DI_ALYX_ZOMBIE_MELEE",
  "ACT_DI_ALYX_ZOMBIE_TORSO_MELEE",
  "ACT_DI_ALYX_HEADCRAB_MELEE",
  "ACT_DI_ALYX_ANTLION",
  "ACT_DI_ALYX_ZOMBIE_SHOTGUN64",
  "ACT_DI_ALYX_ZOMBIE_SHOTGUN26",
  "ACT_READINESS_RELAXED_TO_STIMULATED",
  "ACT_READINESS_RELAXED_TO_STIMULATED_WALK",
  "ACT_READINESS_AGITATED_TO_STIMULATED",
  "ACT_READINESS_STIMULATED_TO_RELAXED",
  "ACT_READINESS_PISTOL_RELAXED_TO_STIMULATED",
  "ACT_READINESS_PISTOL_RELAXED_TO_STIMULATED_WALK",
  "ACT_READINESS_PISTOL_AGITATED_TO_STIMULATED",
  "ACT_READINESS_PISTOL_STIMULATED_TO_RELAXED",
  "ACT_IDLE_CARRY",
  "ACT_WALK_CARRY",
  "ACT_STARTDYING",
  "ACT_DYINGLOOP",
  "ACT_DYINGTODEAD",
  "ACT_RIDE_MANNED_GUN",
  "ACT_VM_SPRINT_ENTER",
  "ACT_VM_SPRINT_IDLE",
  "ACT_VM_SPRINT_LEAVE",
  "ACT_FIRE_START",
  "ACT_FIRE_LOOP",
  "ACT_FIRE_END",
  "ACT_CROUCHING_GRENADEIDLE",
  "ACT_CROUCHING_GRENADEREADY",
  "ACT_CROUCHING_PRIMARYATTACK",
  "ACT_OVERLAY_GRENADEIDLE",
  "ACT_OVERLAY_GRENADEREADY",
  "ACT_OVERLAY_PRIMARYATTACK",
  "ACT_OVERLAY_SHIELD_UP",
  "ACT_OVERLAY_SHIELD_DOWN",
  "ACT_OVERLAY_SHIELD_UP_IDLE",
  "ACT_OVERLAY_SHIELD_ATTACK",
  "ACT_OVERLAY_SHIELD_KNOCKBACK",
  "ACT_SHIELD_UP",
  "ACT_SHIELD_DOWN",
  "ACT_SHIELD_UP_IDLE",
  "ACT_SHIELD_ATTACK",
  "ACT_SHIELD_KNOCKBACK",
  "ACT_CROUCHING_SHIELD_UP",
  "ACT_CROUCHING_SHIELD_DOWN",
  "ACT_CROUCHING_SHIELD_UP_IDLE",
  "ACT_CROUCHING_SHIELD_ATTACK",
  "ACT_CROUCHING_SHIELD_KNOCKBACK",
  "ACT_TURNRIGHT45",
  "ACT_TURNLEFT45",
  "ACT_TURN",
  "ACT_OBJ_ASSEMBLING",
  "ACT_OBJ_DISMANTLING",
  "ACT_OBJ_STARTUP",
  "ACT_OBJ_RUNNING",
  "ACT_OBJ_IDLE",
  "ACT_OBJ_PLACING",
  "ACT_OBJ_DETERIORATING",
  "ACT_OBJ_UPGRADING",
  "ACT_DEPLOY",
  "ACT_DEPLOY_IDLE",
  "ACT_UNDEPLOY",
  "ACT_GRENADE_ROLL",
  "ACT_GRENADE_TOSS",
  "ACT_HANDGRENADE_THROW1",
  "ACT_HANDGRENADE_THROW2",
  "ACT_HANDGRENADE_THROW3",
  "ACT_SHOTGUN_IDLE_DEEP",
  "ACT_SHOTGUN_IDLE4",
  "ACT_GLOCK_SHOOTEMPTY",
  "ACT_GLOCK_SHOOT_RELOAD",
  "ACT_RPG_DRAW_UNLOADED",
  "ACT_RPG_HOLSTER_UNLOADED",
  "ACT_RPG_IDLE_UNLOADED",
  "ACT_RPG_FIDGET_UNLOADED",
  "ACT_CROSSBOW_DRAW_UNLOADED",
  "ACT_CROSSBOW_IDLE_UNLOADED",
  "ACT_CROSSBOW_FIDGET_UNLOADED",
  "ACT_GAUSS_SPINUP",
  "ACT_GAUSS_SPINCYCLE",
  "ACT_TRIPMINE_GROUND",
  "ACT_TRIPMINE_WORLD",
  "ACT_VM_PRIMARYATTACK_SILENCED",
  "ACT_VM_RELOAD_SILENCED",
  "ACT_VM_DRYFIRE_SILENCED",
  "ACT_VM_IDLE_SILENCED",
  "ACT_VM_DRAW_SILENCED",
  "ACT_VM_IDLE_EMPTY_LEFT",
  "ACT_VM_DRYFIRE_LEFT",
  "ACT_PLAYER_IDLE_FIRE",
  "ACT_PLAYER_CROUCH_FIRE",
  "ACT_PLAYER_CROUCH_WALK_FIRE",
  "ACT_PLAYER_WALK_FIRE",
  "ACT_PLAYER_RUN_FIRE",
  "ACT_IDLETORUN",
  "ACT_RUNTOIDLE",
  "ACT_SPRINT",
  "ACT_GET_DOWN_STAND",
  "ACT_GET_UP_STAND",
  "ACT_GET_DOWN_CROUCH",
  "ACT_GET_UP_CROUCH",
  "ACT_PRONE_FORWARD",
  "ACT_PRONE_IDLE",
  "ACT_DEEPIDLE1",
  "ACT_DEEPIDLE2",
  "ACT_DEEPIDLE3",
  "ACT_DEEPIDLE4",
  "ACT_VM_RELOAD_DEPLOYED",
  "ACT_VM_RELOAD_IDLE",
  "ACT_VM_DRAW_DEPLOYED",
  "ACT_VM_DRAW_EMPTY",
  "ACT_VM_PRIMARYATTACK_EMPTY",
  "ACT_VM_RELOAD_EMPTY",
  "ACT_VM_IDLE_EMPTY",
  "ACT_VM_IDLE_DEPLOYED_EMPTY",
  "ACT_VM_IDLE_8",
  "ACT_VM_IDLE_7",
  "ACT_VM_IDLE_6",
  "ACT_VM_IDLE_5",
  "ACT_VM_IDLE_4",
  "ACT_VM_IDLE_3",
  "ACT_VM_IDLE_2",
  "ACT_VM_IDLE_1",
  "ACT_VM_IDLE_DEPLOYED",
  "ACT_VM_IDLE_DEPLOYED_8",
  "ACT_VM_IDLE_DEPLOYED_7",
  "ACT_VM_IDLE_DEPLOYED_6",
  "ACT_VM_IDLE_DEPLOYED_5",
  "ACT_VM_IDLE_DEPLOYED_4",
  "ACT_VM_IDLE_DEPLOYED_3",
  "ACT_VM_IDLE_DEPLOYED_2",
  "ACT_VM_IDLE_DEPLOYED_1",
  "ACT_VM_UNDEPLOY",
  "ACT_VM_UNDEPLOY_8",
  "ACT_VM_UNDEPLOY_7",
  "ACT_VM_UNDEPLOY_6",
  "ACT_VM_UNDEPLOY_5",
  "ACT_VM_UNDEPLOY_4",
  "ACT_VM_UNDEPLOY_3",
  "ACT_VM_UNDEPLOY_2",
  "ACT_VM_UNDEPLOY_1",
  "ACT_VM_UNDEPLOY_EMPTY",
  "ACT_VM_DEPLOY",
  "ACT_VM_DEPLOY_8",
  "ACT_VM_DEPLOY_7",
  "ACT_VM_DEPLOY_6",
  "ACT_VM_DEPLOY_5",
  "ACT_VM_DEPLOY_4",
  "ACT_VM_DEPLOY_3",
  "ACT_VM_DEPLOY_2",
  "ACT_VM_DEPLOY_1",
  "ACT_VM_DEPLOY_EMPTY",
  "ACT_VM_PRIMARYATTACK_8",
  "ACT_VM_PRIMARYATTACK_7",
  "ACT_VM_PRIMARYATTACK_6",
  "ACT_VM_PRIMARYATTACK_5",
  "ACT_VM_PRIMARYATTACK_4",
  "ACT_VM_PRIMARYATTACK_3",
  "ACT_VM_PRIMARYATTACK_2",
  "ACT_VM_PRIMARYATTACK_1",
  "ACT_VM_PRIMARYATTACK_DEPLOYED",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_8",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_7",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_6",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_5",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_4",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_3",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_2",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_1",
  "ACT_VM_PRIMARYATTACK_DEPLOYED_EMPTY",
  "ACT_DOD_DEPLOYED",
  "ACT_DOD_PRONE_DEPLOYED",
  "ACT_DOD_IDLE_ZOOMED",
  "ACT_DOD_WALK_ZOOMED",
  "ACT_DOD_CROUCH_ZOOMED",
  "ACT_DOD_CROUCHWALK_ZOOMED",
  "ACT_DOD_PRONE_ZOOMED",
  "ACT_DOD_PRONE_FORWARD_ZOOMED",
  "ACT_DOD_PRIMARYATTACK_DEPLOYED",
  "ACT_DOD_PRIMARYATTACK_PRONE_DEPLOYED",
  "ACT_DOD_RELOAD_DEPLOYED",
  "ACT_DOD_RELOAD_PRONE_DEPLOYED",
  "ACT_DOD_PRIMARYATTACK_PRONE",
  "ACT_DOD_SECONDARYATTACK_PRONE",
  "ACT_DOD_RELOAD_CROUCH",
  "ACT_DOD_RELOAD_PRONE",
  "ACT_DOD_STAND_IDLE",
  "ACT_DOD_STAND_AIM",
  "ACT_DOD_CROUCH_IDLE",
  "ACT_DOD_CROUCH_AIM",
  "ACT_DOD_CROUCHWALK_IDLE",
  "ACT_DOD_CROUCHWALK_AIM",
  "ACT_DOD_WALK_IDLE",
  "ACT_DOD_WALK_AIM",
  "ACT_DOD_RUN_IDLE",
  "ACT_DOD_RUN_AIM",
  "ACT_DOD_STAND_AIM_PISTOL",
  "ACT_DOD_CROUCH_AIM_PISTOL",
  "ACT_DOD_CROUCHWALK_AIM_PISTOL",
  "ACT_DOD_WALK_AIM_PISTOL",
  "ACT_DOD_RUN_AIM_PISTOL",
  "ACT_DOD_PRONE_AIM_PISTOL",
  "ACT_DOD_STAND_IDLE_PISTOL",
  "ACT_DOD_CROUCH_IDLE_PISTOL",
  "ACT_DOD_CROUCHWALK_IDLE_PISTOL",
  "ACT_DOD_WALK_IDLE_PISTOL",
  "ACT_DOD_RUN_IDLE_PISTOL",
  "ACT_DOD_SPRINT_IDLE_PISTOL",
  "ACT_DOD_PRONEWALK_IDLE_PISTOL",
  "ACT_DOD_STAND_AIM_C96",
  "ACT_DOD_CROUCH_AIM_C96",
  "ACT_DOD_CROUCHWALK_AIM_C96",
  "ACT_DOD_WALK_AIM_C96",
  "ACT_DOD_RUN_AIM_C96",
  "ACT_DOD_PRONE_AIM_C96",
  "ACT_DOD_STAND_IDLE_C96",
  "ACT_DOD_CROUCH_IDLE_C96",
  "ACT_DOD_CROUCHWALK_IDLE_C96",
  "ACT_DOD_WALK_IDLE_C96",
  "ACT_DOD_RUN_IDLE_C96",
  "ACT_DOD_SPRINT_IDLE_C96",
  "ACT_DOD_PRONEWALK_IDLE_C96",
  "ACT_DOD_STAND_AIM_RIFLE",
  "ACT_DOD_CROUCH_AIM_RIFLE",
  "ACT_DOD_CROUCHWALK_AIM_RIFLE",
  "ACT_DOD_WALK_AIM_RIFLE",
  "ACT_DOD_RUN_AIM_RIFLE",
  "ACT_DOD_PRONE_AIM_RIFLE",
  "ACT_DOD_STAND_IDLE_RIFLE",
  "ACT_DOD_CROUCH_IDLE_RIFLE",
  "ACT_DOD_CROUCHWALK_IDLE_RIFLE",
  "ACT_DOD_WALK_IDLE_RIFLE",
  "ACT_DOD_RUN_IDLE_RIFLE",
  "ACT_DOD_SPRINT_IDLE_RIFLE",
  "ACT_DOD_PRONEWALK_IDLE_RIFLE",
  "ACT_DOD_STAND_AIM_BOLT",
  "ACT_DOD_CROUCH_AIM_BOLT",
  "ACT_DOD_CROUCHWALK_AIM_BOLT",
  "ACT_DOD_WALK_AIM_BOLT",
  "ACT_DOD_RUN_AIM_BOLT",
  "ACT_DOD_PRONE_AIM_BOLT",
  "ACT_DOD_STAND_IDLE_BOLT",
  "ACT_DOD_CROUCH_IDLE_BOLT",
  "ACT_DOD_CROUCHWALK_IDLE_BOLT",
  "ACT_DOD_WALK_IDLE_BOLT",
  "ACT_DOD_RUN_IDLE_BOLT",
  "ACT_DOD_SPRINT_IDLE_BOLT",
  "ACT_DOD_PRONEWALK_IDLE_BOLT",
  "ACT_DOD_STAND_AIM_TOMMY",
  "ACT_DOD_CROUCH_AIM_TOMMY",
  "ACT_DOD_CROUCHWALK_AIM_TOMMY",
  "ACT_DOD_WALK_AIM_TOMMY",
  "ACT_DOD_RUN_AIM_TOMMY",
  "ACT_DOD_PRONE_AIM_TOMMY",
  "ACT_DOD_STAND_IDLE_TOMMY",
  "ACT_DOD_CROUCH_IDLE_TOMMY",
  "ACT_DOD_CROUCHWALK_IDLE_TOMMY",
  "ACT_DOD_WALK_IDLE_TOMMY",
  "ACT_DOD_RUN_IDLE_TOMMY",
  "ACT_DOD_SPRINT_IDLE_TOMMY",
  "ACT_DOD_PRONEWALK_IDLE_TOMMY",
  "ACT_DOD_STAND_AIM_MP40",
  "ACT_DOD_CROUCH_AIM_MP40",
  "ACT_DOD_CROUCHWALK_AIM_MP40",
  "ACT_DOD_WALK_AIM_MP40",
  "ACT_DOD_RUN_AIM_MP40",
  "ACT_DOD_PRONE_AIM_MP40",
  "ACT_DOD_STAND_IDLE_MP40",
  "ACT_DOD_CROUCH_IDLE_MP40",
  "ACT_DOD_CROUCHWALK_IDLE_MP40",
  "ACT_DOD_WALK_IDLE_MP40",
  "ACT_DOD_RUN_IDLE_MP40",
  "ACT_DOD_SPRINT_IDLE_MP40",
  "ACT_DOD_PRONEWALK_IDLE_MP40",
  "ACT_DOD_STAND_AIM_MP44",
  "ACT_DOD_CROUCH_AIM_MP44",
  "ACT_DOD_CROUCHWALK_AIM_MP44",
  "ACT_DOD_WALK_AIM_MP44",
  "ACT_DOD_RUN_AIM_MP44",
  "ACT_DOD_PRONE_AIM_MP44",
  "ACT_DOD_STAND_IDLE_MP44",
  "ACT_DOD_CROUCH_IDLE_MP44",
  "ACT_DOD_CROUCHWALK_IDLE_MP44",
  "ACT_DOD_WALK_IDLE_MP44",
  "ACT_DOD_RUN_IDLE_MP44",
  "ACT_DOD_SPRINT_IDLE_MP44",
  "ACT_DOD_PRONEWALK_IDLE_MP44",
  "ACT_DOD_STAND_AIM_GREASE",
  "ACT_DOD_CROUCH_AIM_GREASE",
  "ACT_DOD_CROUCHWALK_AIM_GREASE",
  "ACT_DOD_WALK_AIM_GREASE",
  "ACT_DOD_RUN_AIM_GREASE",
  "ACT_DOD_PRONE_AIM_GREASE",
  "ACT_DOD_STAND_IDLE_GREASE",
  "ACT_DOD_CROUCH_IDLE_GREASE",
  "ACT_DOD_CROUCHWALK_IDLE_GREASE",
  "ACT_DOD_WALK_IDLE_GREASE",
  "ACT_DOD_RUN_IDLE_GREASE",
  "ACT_DOD_SPRINT_IDLE_GREASE",
  "ACT_DOD_PRONEWALK_IDLE_GREASE",
  "ACT_DOD_STAND_AIM_MG",
  "ACT_DOD_CROUCH_AIM_MG",
  "ACT_DOD_CROUCHWALK_AIM_MG",
  "ACT_DOD_WALK_AIM_MG",
  "ACT_DOD_RUN_AIM_MG",
  "ACT_DOD_PRONE_AIM_MG",
  "ACT_DOD_STAND_IDLE_MG",
  "ACT_DOD_CROUCH_IDLE_MG",
  "ACT_DOD_CROUCHWALK_IDLE_MG",
  "ACT_DOD_WALK_IDLE_MG",
  "ACT_DOD_RUN_IDLE_MG",
  "ACT_DOD_SPRINT_IDLE_MG",
  "ACT_DOD_PRONEWALK_IDLE_MG",
  "ACT_DOD_STAND_AIM_30CAL",
  "ACT_DOD_CROUCH_AIM_30CAL",
  "ACT_DOD_CROUCHWALK_AIM_30CAL",
  "ACT_DOD_WALK_AIM_30CAL",
  "ACT_DOD_RUN_AIM_30CAL",
  "ACT_DOD_PRONE_AIM_30CAL",
  "ACT_DOD_STAND_IDLE_30CAL",
  "ACT_DOD_CROUCH_IDLE_30CAL",
  "ACT_DOD_CROUCHWALK_IDLE_30CAL",
  "ACT_DOD_WALK_IDLE_30CAL",
  "ACT_DOD_RUN_IDLE_30CAL",
  "ACT_DOD_SPRINT_IDLE_30CAL",
  "ACT_DOD_PRONEWALK_IDLE_30CAL",
  "ACT_DOD_STAND_AIM_GREN_FRAG",
  "ACT_DOD_CROUCH_AIM_GREN_FRAG",
  "ACT_DOD_CROUCHWALK_AIM_GREN_FRAG",
  "ACT_DOD_WALK_AIM_GREN_FRAG",
  "ACT_DOD_RUN_AIM_GREN_FRAG",
  "ACT_DOD_PRONE_AIM_GREN_FRAG",
  "ACT_DOD_SPRINT_AIM_GREN_FRAG",
  "ACT_DOD_PRONEWALK_AIM_GREN_FRAG",
  "ACT_DOD_STAND_AIM_GREN_STICK",
  "ACT_DOD_CROUCH_AIM_GREN_STICK",
  "ACT_DOD_CROUCHWALK_AIM_GREN_STICK",
  "ACT_DOD_WALK_AIM_GREN_STICK",
  "ACT_DOD_RUN_AIM_GREN_STICK",
  "ACT_DOD_PRONE_AIM_GREN_STICK",
  "ACT_DOD_SPRINT_AIM_GREN_STICK",
  "ACT_DOD_PRONEWALK_AIM_GREN_STICK",
  "ACT_DOD_STAND_AIM_KNIFE",
  "ACT_DOD_CROUCH_AIM_KNIFE",
  "ACT_DOD_CROUCHWALK_AIM_KNIFE",
  "ACT_DOD_WALK_AIM_KNIFE",
  "ACT_DOD_RUN_AIM_KNIFE",
  "ACT_DOD_PRONE_AIM_KNIFE",
  "ACT_DOD_SPRINT_AIM_KNIFE",
  "ACT_DOD_PRONEWALK_AIM_KNIFE",
  "ACT_DOD_STAND_AIM_SPADE",
  "ACT_DOD_CROUCH_AIM_SPADE",
  "ACT_DOD_CROUCHWALK_AIM_SPADE",
  "ACT_DOD_WALK_AIM_SPADE",
  "ACT_DOD_RUN_AIM_SPADE",
  "ACT_DOD_PRONE_AIM_SPADE",
  "ACT_DOD_SPRINT_AIM_SPADE",
  "ACT_DOD_PRONEWALK_AIM_SPADE",
  "ACT_DOD_STAND_AIM_BAZOOKA",
  "ACT_DOD_CROUCH_AIM_BAZOOKA",
  "ACT_DOD_CROUCHWALK_AIM_BAZOOKA",
  "ACT_DOD_WALK_AIM_BAZOOKA",
  "ACT_DOD_RUN_AIM_BAZOOKA",
  "ACT_DOD_PRONE_AIM_BAZOOKA",
  "ACT_DOD_STAND_IDLE_BAZOOKA",
  "ACT_DOD_CROUCH_IDLE_BAZOOKA",
  "ACT_DOD_CROUCHWALK_IDLE_BAZOOKA",
  "ACT_DOD_WALK_IDLE_BAZOOKA",
  "ACT_DOD_RUN_IDLE_BAZOOKA",
  "ACT_DOD_SPRINT_IDLE_BAZOOKA",
  "ACT_DOD_PRONEWALK_IDLE_BAZOOKA",
  "ACT_DOD_STAND_AIM_PSCHRECK",
  "ACT_DOD_CROUCH_AIM_PSCHRECK",
  "ACT_DOD_CROUCHWALK_AIM_PSCHRECK",
  "ACT_DOD_WALK_AIM_PSCHRECK",
  "ACT_DOD_RUN_AIM_PSCHRECK",
  "ACT_DOD_PRONE_AIM_PSCHRECK",
  "ACT_DOD_STAND_IDLE_PSCHRECK",
  "ACT_DOD_CROUCH_IDLE_PSCHRECK",
  "ACT_DOD_CROUCHWALK_IDLE_PSCHRECK",
  "ACT_DOD_WALK_IDLE_PSCHRECK",
  "ACT_DOD_RUN_IDLE_PSCHRECK",
  "ACT_DOD_SPRINT_IDLE_PSCHRECK",
  "ACT_DOD_PRONEWALK_IDLE_PSCHRECK",
  "ACT_DOD_STAND_AIM_BAR",
  "ACT_DOD_CROUCH_AIM_BAR",
  "ACT_DOD_CROUCHWALK_AIM_BAR",
  "ACT_DOD_WALK_AIM_BAR",
  "ACT_DOD_RUN_AIM_BAR",
  "ACT_DOD_PRONE_AIM_BAR",
  "ACT_DOD_STAND_IDLE_BAR",
  "ACT_DOD_CROUCH_IDLE_BAR",
  "ACT_DOD_CROUCHWALK_IDLE_BAR",
  "ACT_DOD_WALK_IDLE_BAR",
  "ACT_DOD_RUN_IDLE_BAR",
  "ACT_DOD_SPRINT_IDLE_BAR",
  "ACT_DOD_PRONEWALK_IDLE_BAR",
  "ACT_DOD_STAND_ZOOM_RIFLE",
  "ACT_DOD_CROUCH_ZOOM_RIFLE",
  "ACT_DOD_CROUCHWALK_ZOOM_RIFLE",
  "ACT_DOD_WALK_ZOOM_RIFLE",
  "ACT_DOD_RUN_ZOOM_RIFLE",
  "ACT_DOD_PRONE_ZOOM_RIFLE",
  "ACT_DOD_STAND_ZOOM_BOLT",
  "ACT_DOD_CROUCH_ZOOM_BOLT",
  "ACT_DOD_CROUCHWALK_ZOOM_BOLT",
  "ACT_DOD_WALK_ZOOM_BOLT",
  "ACT_DOD_RUN_ZOOM_BOLT",
  "ACT_DOD_PRONE_ZOOM_BOLT",
  "ACT_DOD_STAND_ZOOM_BAZOOKA",
  "ACT_DOD_CROUCH_ZOOM_BAZOOKA",
  "ACT_DOD_CROUCHWALK_ZOOM_BAZOOKA",
  "ACT_DOD_WALK_ZOOM_BAZOOKA",
  "ACT_DOD_RUN_ZOOM_BAZOOKA",
  "ACT_DOD_PRONE_ZOOM_BAZOOKA",
  "ACT_DOD_STAND_ZOOM_PSCHRECK",
  "ACT_DOD_CROUCH_ZOOM_PSCHRECK",
  "ACT_DOD_CROUCHWALK_ZOOM_PSCHRECK",
  "ACT_DOD_WALK_ZOOM_PSCHRECK",
  "ACT_DOD_RUN_ZOOM_PSCHRECK",
  "ACT_DOD_PRONE_ZOOM_PSCHRECK",
  "ACT_DOD_DEPLOY_RIFLE",
  "ACT_DOD_DEPLOY_TOMMY",
  "ACT_DOD_DEPLOY_MG",
  "ACT_DOD_DEPLOY_30CAL",
  "ACT_DOD_PRONE_DEPLOY_RIFLE",
  "ACT_DOD_PRONE_DEPLOY_TOMMY",
  "ACT_DOD_PRONE_DEPLOY_MG",
  "ACT_DOD_PRONE_DEPLOY_30CAL",
  "ACT_DOD_PRIMARYATTACK_RIFLE",
  "ACT_DOD_SECONDARYATTACK_RIFLE",
  "ACT_DOD_PRIMARYATTACK_PRONE_RIFLE",
  "ACT_DOD_SECONDARYATTACK_PRONE_RIFLE",
  "ACT_DOD_PRIMARYATTACK_PRONE_DEPLOYED_RIFLE",
  "ACT_DOD_PRIMARYATTACK_DEPLOYED_RIFLE",
  "ACT_DOD_PRIMARYATTACK_BOLT",
  "ACT_DOD_SECONDARYATTACK_BOLT",
  "ACT_DOD_PRIMARYATTACK_PRONE_BOLT",
  "ACT_DOD_SECONDARYATTACK_PRONE_BOLT",
  "ACT_DOD_PRIMARYATTACK_TOMMY",
  "ACT_DOD_PRIMARYATTACK_PRONE_TOMMY",
  "ACT_DOD_SECONDARYATTACK_TOMMY",
  "ACT_DOD_SECONDARYATTACK_PRONE_TOMMY",
  "ACT_DOD_PRIMARYATTACK_MP40",
  "ACT_DOD_PRIMARYATTACK_PRONE_MP40",
  "ACT_DOD_SECONDARYATTACK_MP40",
  "ACT_DOD_SECONDARYATTACK_PRONE_MP40",
  "ACT_DOD_PRIMARYATTACK_MP44",
  "ACT_DOD_PRIMARYATTACK_PRONE_MP44",
  "ACT_DOD_PRIMARYATTACK_GREASE",
  "ACT_DOD_PRIMARYATTACK_PRONE_GREASE",
  "ACT_DOD_PRIMARYATTACK_PISTOL",
  "ACT_DOD_PRIMARYATTACK_PRONE_PISTOL",
  "ACT_DOD_PRIMARYATTACK_C96",
  "ACT_DOD_PRIMARYATTACK_PRONE_C96",
  "ACT_DOD_PRIMARYATTACK_MG",
  "ACT_DOD_PRIMARYATTACK_PRONE_MG",
  "ACT_DOD_PRIMARYATTACK_PRONE_DEPLOYED_MG",
  "ACT_DOD_PRIMARYATTACK_DEPLOYED_MG",
  "ACT_DOD_PRIMARYATTACK_30CAL",
  "ACT_DOD_PRIMARYATTACK_PRONE_30CAL",
  "ACT_DOD_PRIMARYATTACK_DEPLOYED_30CAL",
  "ACT_DOD_PRIMARYATTACK_PRONE_DEPLOYED_30CAL",
  "ACT_DOD_PRIMARYATTACK_GREN_FRAG",
  "ACT_DOD_PRIMARYATTACK_PRONE_GREN_FRAG",
  "ACT_DOD_PRIMARYATTACK_GREN_STICK",
  "ACT_DOD_PRIMARYATTACK_PRONE_GREN_STICK",
  "ACT_DOD_PRIMARYATTACK_KNIFE",
  "ACT_DOD_PRIMARYATTACK_PRONE_KNIFE",
  "ACT_DOD_PRIMARYATTACK_SPADE",
  "ACT_DOD_PRIMARYATTACK_PRONE_SPADE",
  "ACT_DOD_PRIMARYATTACK_BAZOOKA",
  "ACT_DOD_PRIMARYATTACK_PRONE_BAZOOKA",
  "ACT_DOD_PRIMARYATTACK_PSCHRECK",
  "ACT_DOD_PRIMARYATTACK_PRONE_PSCHRECK",
  "ACT_DOD_PRIMARYATTACK_BAR",
  "ACT_DOD_PRIMARYATTACK_PRONE_BAR",
  "ACT_DOD_RELOAD_GARAND",
  "ACT_DOD_RELOAD_K43",
  "ACT_DOD_RELOAD_BAR",
  "ACT_DOD_RELOAD_MP40",
  "ACT_DOD_RELOAD_MP44",
  "ACT_DOD_RELOAD_BOLT",
  "ACT_DOD_RELOAD_M1CARBINE",
  "ACT_DOD_RELOAD_TOMMY",
  "ACT_DOD_RELOAD_GREASEGUN",
  "ACT_DOD_RELOAD_PISTOL",
  "ACT_DOD_RELOAD_FG42",
  "ACT_DOD_RELOAD_RIFLE",
  "ACT_DOD_RELOAD_RIFLEGRENADE",
  "ACT_DOD_RELOAD_C96",
  "ACT_DOD_RELOAD_CROUCH_BAR",
  "ACT_DOD_RELOAD_CROUCH_RIFLE",
  "ACT_DOD_RELOAD_CROUCH_RIFLEGRENADE",
  "ACT_DOD_RELOAD_CROUCH_BOLT",
  "ACT_DOD_RELOAD_CROUCH_MP44",
  "ACT_DOD_RELOAD_CROUCH_MP40",
  "ACT_DOD_RELOAD_CROUCH_TOMMY",
  "ACT_DOD_RELOAD_CROUCH_BAZOOKA",
  "ACT_DOD_RELOAD_CROUCH_PSCHRECK",
  "ACT_DOD_RELOAD_CROUCH_PISTOL",
  "ACT_DOD_RELOAD_CROUCH_M1CARBINE",
  "ACT_DOD_RELOAD_CROUCH_C96",
  "ACT_DOD_RELOAD_BAZOOKA",
  "ACT_DOD_ZOOMLOAD_BAZOOKA",
  "ACT_DOD_RELOAD_PSCHRECK",
  "ACT_DOD_ZOOMLOAD_PSCHRECK",
  "ACT_DOD_RELOAD_DEPLOYED_FG42",
  "ACT_DOD_RELOAD_DEPLOYED_30CAL",
  "ACT_DOD_RELOAD_DEPLOYED_MG",
  "ACT_DOD_RELOAD_DEPLOYED_MG34",
  "ACT_DOD_RELOAD_DEPLOYED_BAR",
  "ACT_DOD_RELOAD_PRONE_PISTOL",
  "ACT_DOD_RELOAD_PRONE_GARAND",
  "ACT_DOD_RELOAD_PRONE_M1CARBINE",
  "ACT_DOD_RELOAD_PRONE_BOLT",
  "ACT_DOD_RELOAD_PRONE_K43",
  "ACT_DOD_RELOAD_PRONE_MP40",
  "ACT_DOD_RELOAD_PRONE_MP44",
  "ACT_DOD_RELOAD_PRONE_BAR",
  "ACT_DOD_RELOAD_PRONE_GREASEGUN",
  "ACT_DOD_RELOAD_PRONE_TOMMY",
  "ACT_DOD_RELOAD_PRONE_FG42",
  "ACT_DOD_RELOAD_PRONE_RIFLE",
  "ACT_DOD_RELOAD_PRONE_RIFLEGRENADE",
  "ACT_DOD_RELOAD_PRONE_C96",
  "ACT_DOD_RELOAD_PRONE_BAZOOKA",
  "ACT_DOD_ZOOMLOAD_PRONE_BAZOOKA",
  "ACT_DOD_RELOAD_PRONE_PSCHRECK",
  "ACT_DOD_ZOOMLOAD_PRONE_PSCHRECK",
  "ACT_DOD_RELOAD_PRONE_DEPLOYED_BAR",
  "ACT_DOD_RELOAD_PRONE_DEPLOYED_FG42",
  "ACT_DOD_RELOAD_PRONE_DEPLOYED_30CAL",
  "ACT_DOD_RELOAD_PRONE_DEPLOYED_MG",
  "ACT_DOD_RELOAD_PRONE_DEPLOYED_MG34",
  "ACT_DOD_PRONE_ZOOM_FORWARD_RIFLE",
  "ACT_DOD_PRONE_ZOOM_FORWARD_BOLT",
  "ACT_DOD_PRONE_ZOOM_FORWARD_BAZOOKA",
  "ACT_DOD_PRONE_ZOOM_FORWARD_PSCHRECK",
  "ACT_DOD_PRIMARYATTACK_CROUCH",
  "ACT_DOD_PRIMARYATTACK_CROUCH_SPADE",
  "ACT_DOD_PRIMARYATTACK_CROUCH_KNIFE",
  "ACT_DOD_PRIMARYATTACK_CROUCH_GREN_FRAG",
  "ACT_DOD_PRIMARYATTACK_CROUCH_GREN_STICK",
  "ACT_DOD_SECONDARYATTACK_CROUCH",
  "ACT_DOD_SECONDARYATTACK_CROUCH_TOMMY",
  "ACT_DOD_SECONDARYATTACK_CROUCH_MP40",
  "ACT_DOD_HS_IDLE",
  "ACT_DOD_HS_CROUCH",
  "ACT_DOD_HS_IDLE_30CAL",
  "ACT_DOD_HS_IDLE_BAZOOKA",
  "ACT_DOD_HS_IDLE_PSCHRECK",
  "ACT_DOD_HS_IDLE_KNIFE",
  "ACT_DOD_HS_IDLE_MG42",
  "ACT_DOD_HS_IDLE_PISTOL",
  "ACT_DOD_HS_IDLE_STICKGRENADE",
  "ACT_DOD_HS_IDLE_TOMMY",
  "ACT_DOD_HS_IDLE_MP44",
  "ACT_DOD_HS_IDLE_K98",
  "ACT_DOD_HS_CROUCH_30CAL",
  "ACT_DOD_HS_CROUCH_BAZOOKA",
  "ACT_DOD_HS_CROUCH_PSCHRECK",
  "ACT_DOD_HS_CROUCH_KNIFE",
  "ACT_DOD_HS_CROUCH_MG42",
  "ACT_DOD_HS_CROUCH_PISTOL",
  "ACT_DOD_HS_CROUCH_STICKGRENADE",
  "ACT_DOD_HS_CROUCH_TOMMY",
  "ACT_DOD_HS_CROUCH_MP44",
  "ACT_DOD_HS_CROUCH_K98",
  "ACT_DOD_STAND_IDLE_TNT",
  "ACT_DOD_CROUCH_IDLE_TNT",
  "ACT_DOD_CROUCHWALK_IDLE_TNT",
  "ACT_DOD_WALK_IDLE_TNT",
  "ACT_DOD_RUN_IDLE_TNT",
  "ACT_DOD_SPRINT_IDLE_TNT",
  "ACT_DOD_PRONEWALK_IDLE_TNT",
  "ACT_DOD_PLANT_TNT",
  "ACT_DOD_DEFUSE_TNT",
  "ACT_VM_FIZZLE",
  "ACT_MP_STAND_IDLE",
  "ACT_MP_CROUCH_IDLE",
  "ACT_MP_CROUCH_DEPLOYED_IDLE",
  "ACT_MP_CROUCH_DEPLOYED",
  "ACT_MP_DEPLOYED_IDLE",
  "ACT_MP_RUN",
  "ACT_MP_WALK",
  "ACT_MP_AIRWALK",
  "ACT_MP_CROUCHWALK",
  "ACT_MP_SPRINT",
  "ACT_MP_JUMP",
  "ACT_MP_JUMP_START",
  "ACT_MP_JUMP_FLOAT",
  "ACT_MP_JUMP_LAND",
  "ACT_MP_DOUBLEJUMP",
  "ACT_MP_SWIM",
  "ACT_MP_DEPLOYED",
  "ACT_MP_SWIM_DEPLOYED",
  "ACT_MP_VCD",
  "ACT_MP_SWIM_IDLE",
  "ACT_MP_ATTACK_STAND_PRIMARYFIRE",
  "ACT_MP_ATTACK_STAND_PRIMARYFIRE_DEPLOYED",
  "ACT_MP_ATTACK_STAND_SECONDARYFIRE",
  "ACT_MP_ATTACK_STAND_GRENADE",
  "ACT_MP_ATTACK_CROUCH_PRIMARYFIRE",
  "ACT_MP_ATTACK_CROUCH_PRIMARYFIRE_DEPLOYED",
  "ACT_MP_ATTACK_CROUCH_SECONDARYFIRE",
  "ACT_MP_ATTACK_CROUCH_GRENADE",
  "ACT_MP_ATTACK_SWIM_PRIMARYFIRE",
  "ACT_MP_ATTACK_SWIM_SECONDARYFIRE",
  "ACT_MP_ATTACK_SWIM_GRENADE",
  "ACT_MP_ATTACK_AIRWALK_PRIMARYFIRE",
  "ACT_MP_ATTACK_AIRWALK_SECONDARYFIRE",
  "ACT_MP_ATTACK_AIRWALK_GRENADE",
  "ACT_MP_RELOAD_STAND",
  "ACT_MP_RELOAD_STAND_LOOP",
  "ACT_MP_RELOAD_STAND_END",
  "ACT_MP_RELOAD_CROUCH",
  "ACT_MP_RELOAD_CROUCH_LOOP",
  "ACT_MP_RELOAD_CROUCH_END",
  "ACT_MP_RELOAD_SWIM",
  "ACT_MP_RELOAD_SWIM_LOOP",
  "ACT_MP_RELOAD_SWIM_END",
  "ACT_MP_RELOAD_AIRWALK",
  "ACT_MP_RELOAD_AIRWALK_LOOP",
  "ACT_MP_RELOAD_AIRWALK_END",
  "ACT_MP_ATTACK_STAND_PREFIRE",
  "ACT_MP_ATTACK_STAND_POSTFIRE",
  "ACT_MP_ATTACK_STAND_STARTFIRE",
  "ACT_MP_ATTACK_CROUCH_PREFIRE",
  "ACT_MP_ATTACK_CROUCH_POSTFIRE",
  "ACT_MP_ATTACK_SWIM_PREFIRE",
  "ACT_MP_ATTACK_SWIM_POSTFIRE",
  "ACT_MP_STAND_PRIMARY",
  "ACT_MP_CROUCH_PRIMARY",
  "ACT_MP_RUN_PRIMARY",
  "ACT_MP_WALK_PRIMARY",
  "ACT_MP_AIRWALK_PRIMARY",
  "ACT_MP_CROUCHWALK_PRIMARY",
  "ACT_MP_JUMP_PRIMARY",
  "ACT_MP_JUMP_START_PRIMARY",
  "ACT_MP_JUMP_FLOAT_PRIMARY",
  "ACT_MP_JUMP_LAND_PRIMARY",
  "ACT_MP_SWIM_PRIMARY",
  "ACT_MP_DEPLOYED_PRIMARY",
  "ACT_MP_SWIM_DEPLOYED_PRIMARY",
  "ACT_MP_ATTACK_STAND_PRIMARY",
  "ACT_MP_ATTACK_STAND_PRIMARY_DEPLOYED",
  "ACT_MP_ATTACK_CROUCH_PRIMARY",
  "ACT_MP_ATTACK_CROUCH_PRIMARY_DEPLOYED",
  "ACT_MP_ATTACK_SWIM_PRIMARY",
  "ACT_MP_ATTACK_AIRWALK_PRIMARY",
  "ACT_MP_RELOAD_STAND_PRIMARY",
  "ACT_MP_RELOAD_STAND_PRIMARY_LOOP",
  "ACT_MP_RELOAD_STAND_PRIMARY_END",
  "ACT_MP_RELOAD_CROUCH_PRIMARY",
  "ACT_MP_RELOAD_CROUCH_PRIMARY_LOOP",
  "ACT_MP_RELOAD_CROUCH_PRIMARY_END",
  "ACT_MP_RELOAD_SWIM_PRIMARY",
  "ACT_MP_RELOAD_SWIM_PRIMARY_LOOP",
  "ACT_MP_RELOAD_SWIM_PRIMARY_END",
  "ACT_MP_RELOAD_AIRWALK_PRIMARY",
  "ACT_MP_RELOAD_AIRWALK_PRIMARY_LOOP",
  "ACT_MP_RELOAD_AIRWALK_PRIMARY_END",
  "ACT_MP_ATTACK_STAND_GRENADE_PRIMARY",
  "ACT_MP_ATTACK_CROUCH_GRENADE_PRIMARY",
  "ACT_MP_ATTACK_SWIM_GRENADE_PRIMARY",
  "ACT_MP_ATTACK_AIRWALK_GRENADE_PRIMARY",
  "ACT_MP_STAND_SECONDARY",
  "ACT_MP_CROUCH_SECONDARY",
  "ACT_MP_RUN_SECONDARY",
  "ACT_MP_WALK_SECONDARY",
  "ACT_MP_AIRWALK_SECONDARY",
  "ACT_MP_CROUCHWALK_SECONDARY",
  "ACT_MP_JUMP_SECONDARY",
  "ACT_MP_JUMP_START_SECONDARY",
  "ACT_MP_JUMP_FLOAT_SECONDARY",
  "ACT_MP_JUMP_LAND_SECONDARY",
  "ACT_MP_SWIM_SECONDARY",
  "ACT_MP_ATTACK_STAND_SECONDARY",
  "ACT_MP_ATTACK_CROUCH_SECONDARY",
  "ACT_MP_ATTACK_SWIM_SECONDARY",
  "ACT_MP_ATTACK_AIRWALK_SECONDARY",
  "ACT_MP_RELOAD_STAND_SECONDARY",
  "ACT_MP_RELOAD_STAND_SECONDARY_LOOP",
  "ACT_MP_RELOAD_STAND_SECONDARY_END",
  "ACT_MP_RELOAD_CROUCH_SECONDARY",
  "ACT_MP_RELOAD_CROUCH_SECONDARY_LOOP",
  "ACT_MP_RELOAD_CROUCH_SECONDARY_END",
  "ACT_MP_RELOAD_SWIM_SECONDARY",
  "ACT_MP_RELOAD_SWIM_SECONDARY_LOOP",
  "ACT_MP_RELOAD_SWIM_SECONDARY_END",
  "ACT_MP_RELOAD_AIRWALK_SECONDARY",
  "ACT_MP_RELOAD_AIRWALK_SECONDARY_LOOP",
  "ACT_MP_RELOAD_AIRWALK_SECONDARY_END",
  "ACT_MP_ATTACK_STAND_GRENADE_SECONDARY",
  "ACT_MP_ATTACK_CROUCH_GRENADE_SECONDARY",
  "ACT_MP_ATTACK_SWIM_GRENADE_SECONDARY",
  "ACT_MP_ATTACK_AIRWALK_GRENADE_SECONDARY",
  "ACT_MP_STAND_MELEE",
  "ACT_MP_CROUCH_MELEE",
  "ACT_MP_RUN_MELEE",
  "ACT_MP_WALK_MELEE",
  "ACT_MP_AIRWALK_MELEE",
  "ACT_MP_CROUCHWALK_MELEE",
  "ACT_MP_JUMP_MELEE",
  "ACT_MP_JUMP_START_MELEE",
  "ACT_MP_JUMP_FLOAT_MELEE",
  "ACT_MP_JUMP_LAND_MELEE",
  "ACT_MP_SWIM_MELEE",
  "ACT_MP_ATTACK_STAND_MELEE",
  "ACT_MP_ATTACK_STAND_MELEE_SECONDARY",
  "ACT_MP_ATTACK_CROUCH_MELEE",
  "ACT_MP_ATTACK_CROUCH_MELEE_SECONDARY",
  "ACT_MP_ATTACK_SWIM_MELEE",
  "ACT_MP_ATTACK_AIRWALK_MELEE",
  "ACT_MP_ATTACK_STAND_GRENADE_MELEE",
  "ACT_MP_ATTACK_CROUCH_GRENADE_MELEE",
  "ACT_MP_ATTACK_SWIM_GRENADE_MELEE",
  "ACT_MP_ATTACK_AIRWALK_GRENADE_MELEE",
  "ACT_MP_GESTURE_FLINCH",
  "ACT_MP_GESTURE_FLINCH_PRIMARY",
  "ACT_MP_GESTURE_FLINCH_SECONDARY",
  "ACT_MP_GESTURE_FLINCH_MELEE",
  "ACT_MP_GESTURE_FLINCH_HEAD",
  "ACT_MP_GESTURE_FLINCH_CHEST",
  "ACT_MP_GESTURE_FLINCH_STOMACH",
  "ACT_MP_GESTURE_FLINCH_LEFTARM",
  "ACT_MP_GESTURE_FLINCH_RIGHTARM",
  "ACT_MP_GESTURE_FLINCH_LEFTLEG",
  "ACT_MP_GESTURE_FLINCH_RIGHTLEG",
  "ACT_MP_GRENADE1_DRAW",
  "ACT_MP_GRENADE1_IDLE",
  "ACT_MP_GRENADE1_ATTACK",
  "ACT_MP_GRENADE2_DRAW",
  "ACT_MP_GRENADE2_IDLE",
  "ACT_MP_GRENADE2_ATTACK",
  "ACT_MP_PRIMARY_GRENADE1_DRAW",
  "ACT_MP_PRIMARY_GRENADE1_IDLE",
  "ACT_MP_PRIMARY_GRENADE1_ATTACK",
  "ACT_MP_PRIMARY_GRENADE2_DRAW",
  "ACT_MP_PRIMARY_GRENADE2_IDLE",
  "ACT_MP_PRIMARY_GRENADE2_ATTACK",
  "ACT_MP_SECONDARY_GRENADE1_DRAW",
  "ACT_MP_SECONDARY_GRENADE1_IDLE",
  "ACT_MP_SECONDARY_GRENADE1_ATTACK",
  "ACT_MP_SECONDARY_GRENADE2_DRAW",
  "ACT_MP_SECONDARY_GRENADE2_IDLE",
  "ACT_MP_SECONDARY_GRENADE2_ATTACK",
  "ACT_MP_MELEE_GRENADE1_DRAW",
  "ACT_MP_MELEE_GRENADE1_IDLE",
  "ACT_MP_MELEE_GRENADE1_ATTACK",
  "ACT_MP_MELEE_GRENADE2_DRAW",
  "ACT_MP_MELEE_GRENADE2_IDLE",
  "ACT_MP_MELEE_GRENADE2_ATTACK",
  "ACT_MP_STAND_BUILDING",
  "ACT_MP_CROUCH_BUILDING",
  "ACT_MP_RUN_BUILDING",
  "ACT_MP_WALK_BUILDING",
  "ACT_MP_AIRWALK_BUILDING",
  "ACT_MP_CROUCHWALK_BUILDING",
  "ACT_MP_JUMP_BUILDING",
  "ACT_MP_JUMP_START_BUILDING",
  "ACT_MP_JUMP_FLOAT_BUILDING",
  "ACT_MP_JUMP_LAND_BUILDING",
  "ACT_MP_SWIM_BUILDING",
  "ACT_MP_ATTACK_STAND_BUILDING",
  "ACT_MP_ATTACK_CROUCH_BUILDING",
  "ACT_MP_ATTACK_SWIM_BUILDING",
  "ACT_MP_ATTACK_AIRWALK_BUILDING",
  "ACT_MP_ATTACK_STAND_GRENADE_BUILDING",
  "ACT_MP_ATTACK_CROUCH_GRENADE_BUILDING",
  "ACT_MP_ATTACK_SWIM_GRENADE_BUILDING",
  "ACT_MP_ATTACK_AIRWALK_GRENADE_BUILDING",
  "ACT_MP_STAND_PDA",
  "ACT_MP_CROUCH_PDA",
  "ACT_MP_RUN_PDA",
  "ACT_MP_WALK_PDA",
  "ACT_MP_AIRWALK_PDA",
  "ACT_MP_CROUCHWALK_PDA",
  "ACT_MP_JUMP_PDA",
  "ACT_MP_JUMP_START_PDA",
  "ACT_MP_JUMP_FLOAT_PDA",
  "ACT_MP_JUMP_LAND_PDA",
  "ACT_MP_SWIM_PDA",
  "ACT_MP_ATTACK_STAND_PDA",
  "ACT_MP_ATTACK_SWIM_PDA",
  "ACT_MP_GESTURE_VC_HANDMOUTH",
  "ACT_MP_GESTURE_VC_FINGERPOINT",
  "ACT_MP_GESTURE_VC_FISTPUMP",
  "ACT_MP_GESTURE_VC_THUMBSUP",
  "ACT_MP_GESTURE_VC_NODYES",
  "ACT_MP_GESTURE_VC_NODNO",
  "ACT_MP_GESTURE_VC_HANDMOUTH_PRIMARY",
  "ACT_MP_GESTURE_VC_FINGERPOINT_PRIMARY",
  "ACT_MP_GESTURE_VC_FISTPUMP_PRIMARY",
  "ACT_MP_GESTURE_VC_THUMBSUP_PRIMARY",
  "ACT_MP_GESTURE_VC_NODYES_PRIMARY",
  "ACT_MP_GESTURE_VC_NODNO_PRIMARY",
  "ACT_MP_GESTURE_VC_HANDMOUTH_SECONDARY",
  "ACT_MP_GESTURE_VC_FINGERPOINT_SECONDARY",
  "ACT_MP_GESTURE_VC_FISTPUMP_SECONDARY",
  "ACT_MP_GESTURE_VC_THUMBSUP_SECONDARY",
  "ACT_MP_GESTURE_VC_NODYES_SECONDARY",
  "ACT_MP_GESTURE_VC_NODNO_SECONDARY",
  "ACT_MP_GESTURE_VC_HANDMOUTH_MELEE",
  "ACT_MP_GESTURE_VC_FINGERPOINT_MELEE",
  "ACT_MP_GESTURE_VC_FISTPUMP_MELEE",
  "ACT_MP_GESTURE_VC_THUMBSUP_MELEE",
  "ACT_MP_GESTURE_VC_NODYES_MELEE",
  "ACT_MP_GESTURE_VC_NODNO_MELEE",
  "ACT_MP_GESTURE_VC_HANDMOUTH_BUILDING",
  "ACT_MP_GESTURE_VC_FINGERPOINT_BUILDING",
  "ACT_MP_GESTURE_VC_FISTPUMP_BUILDING",
  "ACT_MP_GESTURE_VC_THUMBSUP_BUILDING",
  "ACT_MP_GESTURE_VC_NODYES_BUILDING",
  "ACT_MP_GESTURE_VC_NODNO_BUILDING",
  "ACT_MP_GESTURE_VC_HANDMOUTH_PDA",
  "ACT_MP_GESTURE_VC_FINGERPOINT_PDA",
  "ACT_MP_GESTURE_VC_FISTPUMP_PDA",
  "ACT_MP_GESTURE_VC_THUMBSUP_PDA",
  "ACT_MP_GESTURE_VC_NODYES_PDA",
  "ACT_MP_GESTURE_VC_NODNO_PDA",
  "ACT_VM_UNUSABLE",
  "ACT_VM_UNUSABLE_TO_USABLE",
  "ACT_VM_USABLE_TO_UNUSABLE",
  "ACT_GMOD_GESTURE_AGREE",
  "ACT_GMOD_GESTURE_BECON",
  "ACT_GMOD_GESTURE_BOW",
  "ACT_GMOD_GESTURE_DISAGREE",
  "ACT_GMOD_TAUNT_SALUTE",
  "ACT_GMOD_GESTURE_WAVE",
  "ACT_GMOD_TAUNT_PERSISTENCE",
  "ACT_GMOD_TAUNT_MUSCLE",
  "ACT_GMOD_TAUNT_LAUGH",
  "ACT_GMOD_GESTURE_POINT",
  "ACT_GMOD_TAUNT_CHEER",
  "ACT_HL2MP_RUN_FAST",
  "ACT_HL2MP_RUN_CHARGING",
  "ACT_HL2MP_RUN_PANICKED",
  "ACT_HL2MP_RUN_PROTECTED",
  "ACT_HL2MP_IDLE_MELEE_ANGRY",
  "ACT_HL2MP_ZOMBIE_SLUMP_IDLE",
  "ACT_HL2MP_ZOMBIE_SLUMP_RISE",
  "ACT_HL2MP_WALK_ZOMBIE_01",
  "ACT_HL2MP_WALK_ZOMBIE_02",
  "ACT_HL2MP_WALK_ZOMBIE_03",
  "ACT_HL2MP_WALK_ZOMBIE_04",
  "ACT_HL2MP_WALK_ZOMBIE_05",
  "ACT_HL2MP_WALK_CROUCH_ZOMBIE_01",
  "ACT_HL2MP_WALK_CROUCH_ZOMBIE_02",
  "ACT_HL2MP_WALK_CROUCH_ZOMBIE_03",
  "ACT_HL2MP_WALK_CROUCH_ZOMBIE_04",
  "ACT_HL2MP_WALK_CROUCH_ZOMBIE_05",
  "ACT_HL2MP_IDLE_CROUCH_ZOMBIE_01",
  "ACT_HL2MP_IDLE_CROUCH_ZOMBIE_02",
  "ACT_GMOD_GESTURE_RANGE_ZOMBIE",
  "ACT_GMOD_GESTURE_TAUNT_ZOMBIE",
  "ACT_GMOD_TAUNT_DANCE",
  "ACT_GMOD_TAUNT_ROBOT",
  "ACT_GMOD_GESTURE_RANGE_ZOMBIE_SPECIAL",
  "ACT_GMOD_GESTURE_RANGE_FRENZY",
  "ACT_HL2MP_RUN_ZOMBIE_FAST",
  "ACT_HL2MP_WALK_ZOMBIE_06",
  "ACT_ZOMBIE_LEAP_START",
  "ACT_ZOMBIE_LEAPING",
  "ACT_ZOMBIE_CLIMB_UP",
  "ACT_ZOMBIE_CLIMB_START",
  "ACT_ZOMBIE_CLIMB_END",
  "ACT_HL2MP_IDLE_MAGIC",
  "ACT_HL2MP_WALK_MAGIC",
  "ACT_HL2MP_RUN_MAGIC",
  "ACT_HL2MP_IDLE_CROUCH_MAGIC",
  "ACT_HL2MP_WALK_CROUCH_MAGIC",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_MAGIC",
  "ACT_HL2MP_GESTURE_RELOAD_MAGIC",
  "ACT_HL2MP_JUMP_MAGIC",
  "ACT_HL2MP_SWIM_IDLE_MAGIC",
  "ACT_HL2MP_SWIM_MAGIC",
  "ACT_HL2MP_IDLE_REVOLVER",
  "ACT_HL2MP_WALK_REVOLVER",
  "ACT_HL2MP_RUN_REVOLVER",
  "ACT_HL2MP_IDLE_CROUCH_REVOLVER",
  "ACT_HL2MP_WALK_CROUCH_REVOLVER",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_REVOLVER",
  "ACT_HL2MP_GESTURE_RELOAD_REVOLVER",
  "ACT_HL2MP_JUMP_REVOLVER",
  "ACT_HL2MP_SWIM_IDLE_REVOLVER",
  "ACT_HL2MP_SWIM_REVOLVER",
  "ACT_HL2MP_IDLE_CAMERA",
  "ACT_HL2MP_WALK_CAMERA",
  "ACT_HL2MP_RUN_CAMERA",
  "ACT_HL2MP_IDLE_CROUCH_CAMERA",
  "ACT_HL2MP_WALK_CROUCH_CAMERA",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_CAMERA",
  "ACT_HL2MP_GESTURE_RELOAD_CAMERA",
  "ACT_HL2MP_JUMP_CAMERA",
  "ACT_HL2MP_SWIM_IDLE_CAMERA",
  "ACT_HL2MP_SWIM_CAMERA",
  "ACT_HL2MP_IDLE_ANGRY",
  "ACT_HL2MP_WALK_ANGRY",
  "ACT_HL2MP_RUN_ANGRY",
  "ACT_HL2MP_IDLE_CROUCH_ANGRY",
  "ACT_HL2MP_WALK_CROUCH_ANGRY",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_ANGRY",
  "ACT_HL2MP_GESTURE_RELOAD_ANGRY",
  "ACT_HL2MP_JUMP_ANGRY",
  "ACT_HL2MP_SWIM_IDLE_ANGRY",
  "ACT_HL2MP_SWIM_ANGRY",
  "ACT_HL2MP_IDLE_SCARED",
  "ACT_HL2MP_WALK_SCARED",
  "ACT_HL2MP_RUN_SCARED",
  "ACT_HL2MP_IDLE_CROUCH_SCARED",
  "ACT_HL2MP_WALK_CROUCH_SCARED",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_SCARED",
  "ACT_HL2MP_GESTURE_RELOAD_SCARED",
  "ACT_HL2MP_JUMP_SCARED",
  "ACT_HL2MP_SWIM_IDLE_SCARED",
  "ACT_HL2MP_SWIM_SCARED",
  "ACT_HL2MP_IDLE_ZOMBIE",
  "ACT_HL2MP_WALK_ZOMBIE",
  "ACT_HL2MP_RUN_ZOMBIE",
  "ACT_HL2MP_IDLE_CROUCH_ZOMBIE",
  "ACT_HL2MP_WALK_CROUCH_ZOMBIE",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_ZOMBIE",
  "ACT_HL2MP_GESTURE_RELOAD_ZOMBIE",
  "ACT_HL2MP_JUMP_ZOMBIE",
  "ACT_HL2MP_SWIM_IDLE_ZOMBIE",
  "ACT_HL2MP_SWIM_ZOMBIE",
  "ACT_HL2MP_IDLE_SUITCASE",
  "ACT_HL2MP_WALK_SUITCASE",
  "ACT_HL2MP_RUN_SUITCASE",
  "ACT_HL2MP_IDLE_CROUCH_SUITCASE",
  "ACT_HL2MP_WALK_CROUCH_SUITCASE",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_SUITCASE",
  "ACT_HL2MP_GESTURE_RELOAD_SUITCASE",
  "ACT_HL2MP_JUMP_SUITCASE",
  "ACT_HL2MP_SWIM_IDLE_SUITCASE",
  "ACT_HL2MP_SWIM_SUITCASE",
  "ACT_HL2MP_IDLE",
  "ACT_HL2MP_WALK",
  "ACT_HL2MP_RUN",
  "ACT_HL2MP_IDLE_CROUCH",
  "ACT_HL2MP_WALK_CROUCH",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK",
  "ACT_HL2MP_GESTURE_RELOAD",
  "ACT_HL2MP_JUMP",
  "ACT_HL2MP_SWIM",
  "ACT_HL2MP_IDLE_PISTOL",
  "ACT_HL2MP_WALK_PISTOL",
  "ACT_HL2MP_RUN_PISTOL",
  "ACT_HL2MP_IDLE_CROUCH_PISTOL",
  "ACT_HL2MP_WALK_CROUCH_PISTOL",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_PISTOL",
  "ACT_HL2MP_GESTURE_RELOAD_PISTOL",
  "ACT_HL2MP_JUMP_PISTOL",
  "ACT_HL2MP_SWIM_IDLE_PISTOL",
  "ACT_HL2MP_SWIM_PISTOL",
  "ACT_HL2MP_IDLE_SMG1",
  "ACT_HL2MP_WALK_SMG1",
  "ACT_HL2MP_RUN_SMG1",
  "ACT_HL2MP_IDLE_CROUCH_SMG1",
  "ACT_HL2MP_WALK_CROUCH_SMG1",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_SMG1",
  "ACT_HL2MP_GESTURE_RELOAD_SMG1",
  "ACT_HL2MP_JUMP_SMG1",
  "ACT_HL2MP_SWIM_IDLE_SMG1",
  "ACT_HL2MP_SWIM_SMG1",
  "ACT_HL2MP_IDLE_AR2",
  "ACT_HL2MP_WALK_AR2",
  "ACT_HL2MP_RUN_AR2",
  "ACT_HL2MP_IDLE_CROUCH_AR2",
  "ACT_HL2MP_WALK_CROUCH_AR2",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_AR2",
  "ACT_HL2MP_GESTURE_RELOAD_AR2",
  "ACT_HL2MP_JUMP_AR2",
  "ACT_HL2MP_SWIM_IDLE_AR2",
  "ACT_HL2MP_SWIM_AR2",
  "ACT_HL2MP_IDLE_SHOTGUN",
  "ACT_HL2MP_WALK_SHOTGUN",
  "ACT_HL2MP_RUN_SHOTGUN",
  "ACT_HL2MP_IDLE_CROUCH_SHOTGUN",
  "ACT_HL2MP_WALK_CROUCH_SHOTGUN",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_SHOTGUN",
  "ACT_HL2MP_GESTURE_RELOAD_SHOTGUN",
  "ACT_HL2MP_JUMP_SHOTGUN",
  "ACT_HL2MP_SWIM_IDLE_SHOTGUN",
  "ACT_HL2MP_SWIM_SHOTGUN",
  "ACT_HL2MP_IDLE_RPG",
  "ACT_HL2MP_WALK_RPG",
  "ACT_HL2MP_RUN_RPG",
  "ACT_HL2MP_IDLE_CROUCH_RPG",
  "ACT_HL2MP_WALK_CROUCH_RPG",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_RPG",
  "ACT_HL2MP_GESTURE_RELOAD_RPG",
  "ACT_HL2MP_JUMP_RPG",
  "ACT_HL2MP_SWIM_IDLE_RPG",
  "ACT_HL2MP_SWIM_RPG",
  "ACT_HL2MP_IDLE_GRENADE",
  "ACT_HL2MP_WALK_GRENADE",
  "ACT_HL2MP_RUN_GRENADE",
  "ACT_HL2MP_IDLE_CROUCH_GRENADE",
  "ACT_HL2MP_WALK_CROUCH_GRENADE",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_GRENADE",
  "ACT_HL2MP_GESTURE_RELOAD_GRENADE",
  "ACT_HL2MP_JUMP_GRENADE",
  "ACT_HL2MP_SWIM_IDLE_GRENADE",
  "ACT_HL2MP_SWIM_GRENADE",
  "ACT_HL2MP_IDLE_DUEL",
  "ACT_HL2MP_WALK_DUEL",
  "ACT_HL2MP_RUN_DUEL",
  "ACT_HL2MP_IDLE_CROUCH_DUEL",
  "ACT_HL2MP_WALK_CROUCH_DUEL",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_DUEL",
  "ACT_HL2MP_GESTURE_RELOAD_DUEL",
  "ACT_HL2MP_JUMP_DUEL",
  "ACT_HL2MP_SWIM_IDLE_DUEL",
  "ACT_HL2MP_SWIM_DUEL",
  "ACT_HL2MP_IDLE_PHYSGUN",
  "ACT_HL2MP_WALK_PHYSGUN",
  "ACT_HL2MP_RUN_PHYSGUN",
  "ACT_HL2MP_IDLE_CROUCH_PHYSGUN",
  "ACT_HL2MP_WALK_CROUCH_PHYSGUN",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_PHYSGUN",
  "ACT_HL2MP_GESTURE_RELOAD_PHYSGUN",
  "ACT_HL2MP_JUMP_PHYSGUN",
  "ACT_HL2MP_SWIM_IDLE_PHYSGUN",
  "ACT_HL2MP_SWIM_PHYSGUN",
  "ACT_HL2MP_IDLE_CROSSBOW",
  "ACT_HL2MP_WALK_CROSSBOW",
  "ACT_HL2MP_RUN_CROSSBOW",
  "ACT_HL2MP_IDLE_CROUCH_CROSSBOW",
  "ACT_HL2MP_WALK_CROUCH_CROSSBOW",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_CROSSBOW",
  "ACT_HL2MP_GESTURE_RELOAD_CROSSBOW",
  "ACT_HL2MP_JUMP_CROSSBOW",
  "ACT_HL2MP_SWIM_IDLE_CROSSBOW",
  "ACT_HL2MP_SWIM_CROSSBOW",
  "ACT_HL2MP_IDLE_MELEE",
  "ACT_HL2MP_WALK_MELEE",
  "ACT_HL2MP_RUN_MELEE",
  "ACT_HL2MP_IDLE_CROUCH_MELEE",
  "ACT_HL2MP_WALK_CROUCH_MELEE",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_MELEE",
  "ACT_HL2MP_GESTURE_RELOAD_MELEE",
  "ACT_HL2MP_JUMP_MELEE",
  "ACT_HL2MP_SWIM_IDLE_MELEE",
  "ACT_HL2MP_SWIM_MELEE",
  "ACT_HL2MP_IDLE_SLAM",
  "ACT_HL2MP_WALK_SLAM",
  "ACT_HL2MP_RUN_SLAM",
  "ACT_HL2MP_IDLE_CROUCH_SLAM",
  "ACT_HL2MP_WALK_CROUCH_SLAM",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_SLAM",
  "ACT_HL2MP_GESTURE_RELOAD_SLAM",
  "ACT_HL2MP_JUMP_SLAM",
  "ACT_HL2MP_SWIM_IDLE_SLAM",
  "ACT_HL2MP_SWIM_SLAM",
  "ACT_VM_CRAWL",
  "ACT_VM_CRAWL_EMPTY",
  "ACT_VM_HOLSTER_EMPTY",
  "ACT_VM_DOWN",
  "ACT_VM_DOWN_EMPTY",
  "ACT_VM_READY",
  "ACT_VM_ISHOOT",
  "ACT_VM_IIN",
  "ACT_VM_IIN_EMPTY",
  "ACT_VM_IIDLE",
  "ACT_VM_IIDLE_EMPTY",
  "ACT_VM_IOUT",
  "ACT_VM_IOUT_EMPTY",
  "ACT_VM_PULLBACK_HIGH_BAKE",
  "ACT_VM_HITKILL",
  "ACT_VM_DEPLOYED_IN",
  "ACT_VM_DEPLOYED_IDLE",
  "ACT_VM_DEPLOYED_FIRE",
  "ACT_VM_DEPLOYED_DRYFIRE",
  "ACT_VM_DEPLOYED_RELOAD",
  "ACT_VM_DEPLOYED_RELOAD_EMPTY",
  "ACT_VM_DEPLOYED_OUT",
  "ACT_VM_DEPLOYED_IRON_IN",
  "ACT_VM_DEPLOYED_IRON_IDLE",
  "ACT_VM_DEPLOYED_IRON_FIRE",
  "ACT_VM_DEPLOYED_IRON_DRYFIRE",
  "ACT_VM_DEPLOYED_IRON_OUT",
  "ACT_VM_DEPLOYED_LIFTED_IN",
  "ACT_VM_DEPLOYED_LIFTED_IDLE",
  "ACT_VM_DEPLOYED_LIFTED_OUT",
  "ACT_VM_RELOADEMPTY",
  "ACT_VM_IRECOIL1",
  "ACT_VM_IRECOIL2",
  "ACT_VM_FIREMODE",
  "ACT_VM_ISHOOT_LAST",
  "ACT_VM_IFIREMODE",
  "ACT_VM_DFIREMODE",
  "ACT_VM_DIFIREMODE",
  "ACT_VM_SHOOTLAST",
  "ACT_VM_ISHOOTDRY",
  "ACT_VM_DRAW_M203",
  "ACT_VM_DRAWFULL_M203",
  "ACT_VM_READY_M203",
  "ACT_VM_IDLE_M203",
  "ACT_VM_RELOAD_M203",
  "ACT_VM_HOLSTER_M203",
  "ACT_VM_HOLSTERFULL_M203",
  "ACT_VM_IIN_M203",
  "ACT_VM_IIDLE_M203",
  "ACT_VM_IOUT_M203",
  "ACT_VM_CRAWL_M203",
  "ACT_VM_DOWN_M203",
  "ACT_VM_ISHOOT_M203",
  "ACT_VM_RELOAD_INSERT",
  "ACT_VM_RELOAD_INSERT_PULL",
  "ACT_VM_RELOAD_END",
  "ACT_VM_RELOAD_END_EMPTY",
  "ACT_VM_RELOAD_INSERT_EMPTY",
  "ACT_CROSSBOW_HOLSTER_UNLOADED",
  "ACT_VM_FIRE_TO_EMPTY",
  "ACT_VM_UNLOAD",
  "ACT_VM_RELOAD2",
  "ACT_GMOD_NOCLIP_LAYER",
  "ACT_HL2MP_IDLE_FIST",
  "ACT_HL2MP_WALK_FIST",
  "ACT_HL2MP_RUN_FIST",
  "ACT_HL2MP_IDLE_CROUCH_FIST",
  "ACT_HL2MP_WALK_CROUCH_FIST",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_FIST",
  "ACT_HL2MP_GESTURE_RELOAD_FIST",
  "ACT_HL2MP_JUMP_FIST",
  "ACT_HL2MP_SWIM_IDLE_FIST",
  "ACT_HL2MP_SWIM_FIST",
  "ACT_HL2MP_SIT",
  "ACT_HL2MP_FIST_BLOCK",
  "ACT_DRIVE_AIRBOAT",
  "ACT_DRIVE_JEEP",
  "ACT_GMOD_SIT_ROLLERCOASTER",
  "ACT_HL2MP_IDLE_KNIFE",
  "ACT_HL2MP_WALK_KNIFE",
  "ACT_HL2MP_RUN_KNIFE",
  "ACT_HL2MP_IDLE_CROUCH_KNIFE",
  "ACT_HL2MP_WALK_CROUCH_KNIFE",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_KNIFE",
  "ACT_HL2MP_GESTURE_RELOAD_KNIFE",
  "ACT_HL2MP_JUMP_KNIFE",
  "ACT_HL2MP_SWIM_IDLE_KNIFE",
  "ACT_HL2MP_SWIM_KNIFE",
  "ACT_HL2MP_IDLE_PASSIVE",
  "ACT_HL2MP_WALK_PASSIVE",
  "ACT_HL2MP_RUN_PASSIVE",
  "ACT_HL2MP_IDLE_CROUCH_PASSIVE",
  "ACT_HL2MP_WALK_CROUCH_PASSIVE",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_PASSIVE",
  "ACT_HL2MP_GESTURE_RELOAD_PASSIVE",
  "ACT_HL2MP_JUMP_PASSIVE",
  "ACT_HL2MP_SWIM_PASSIVE",
  "ACT_HL2MP_SWIM_IDLE_PASSIVE",
  "ACT_HL2MP_IDLE_MELEE2",
  "ACT_HL2MP_WALK_MELEE2",
  "ACT_HL2MP_RUN_MELEE2",
  "ACT_HL2MP_IDLE_CROUCH_MELEE2",
  "ACT_HL2MP_WALK_CROUCH_MELEE2",
  "ACT_HL2MP_GESTURE_RANGE_ATTACK_MELEE2",
  "ACT_HL2MP_GESTURE_RELOAD_MELEE2",
  "ACT_HL2MP_JUMP_MELEE2",
  "ACT_HL2MP_SWIM_IDLE_MELEE2",
  "ACT_HL2MP_SWIM_MELEE2",
  "ACT_HL2MP_SIT_PISTOL",
  "ACT_HL2MP_SIT_SHOTGUN",
  "ACT_HL2MP_SIT_SMG1",
  "ACT_HL2MP_SIT_AR2",
  "ACT_HL2MP_SIT_PHYSGUN",
  "ACT_HL2MP_SIT_GRENADE",
  "ACT_HL2MP_SIT_RPG",
  "ACT_HL2MP_SIT_CROSSBOW",
  "ACT_HL2MP_SIT_MELEE",
  "ACT_HL2MP_SIT_SLAM",
  "ACT_HL2MP_SIT_FIST",
  "ACT_GMOD_IN_CHAT",
  "ACT_GMOD_GESTURE_ITEM_GIVE",
  "ACT_GMOD_GESTURE_ITEM_DROP",
  "ACT_GMOD_GESTURE_ITEM_PLACE",
  "ACT_GMOD_GESTURE_ITEM_THROW",
  "ACT_GMOD_GESTURE_MELEE_SHOVE_2HAND",
  "ACT_GMOD_GESTURE_MELEE_SHOVE_1HAND",
  "ACT_HL2MP_SWIM_IDLE",
  "LAST_SHARED_ACTIVITY",

  --- BLEND
  "BLEND_ZERO",
  "BLEND_ONE",
  "BLEND_DST_COLOR",
  "BLEND_ONE_MINUS_DST_COLOR",
  "BLEND_SRC_ALPHA",
  "BLEND_ONE_MINUS_SRC_ALPHA",
  "BLEND_DST_ALPHA",
  "BLEND_ONE_MINUS_DST_ALPHA",
  "BLEND_SRC_ALPHA_SATURATE",
  "BLEND_SRC_COLOR",
  "BLEND_ONE_MINUS_SRC_COLOR",

  --- BLOOD_COLOR
  "DONT_BLEED",
  "BLOOD_COLOR_RED",
  "BLOOD_COLOR_YELLOW",
  "BLOOD_COLOR_GREEN",
  "BLOOD_COLOR_MECH",
  "BLOOD_COLOR_ANTLION",
  "BLOOD_COLOR_ZOMBIE",
  "BLOOD_COLOR_ANTLION_WORKER",

  --- BONE
  "BONE_PHYSICALLY_SIMULATED",
  "BONE_PHYSICS_PROCEDURAL",
  "BONE_ALWAYS_PROCEDURAL",
  "BONE_SCREEN_ALIGN_SPHERE",
  "BONE_SCREEN_ALIGN_CYLINDER",
  "BONE_CALCULATE_MASK",
  "BONE_USED_BY_HITBOX",
  "BONE_USED_BY_ATTACHMENT",
  "BONE_USED_BY_VERTEX_LOD0",
  "BONE_USED_BY_VERTEX_LOD1",
  "BONE_USED_BY_VERTEX_LOD2",
  "BONE_USED_BY_VERTEX_LOD3",
  "BONE_USED_BY_VERTEX_LOD4",
  "BONE_USED_BY_VERTEX_LOD5",
  "BONE_USED_BY_VERTEX_LOD6",
  "BONE_USED_BY_VERTEX_LOD7",
  "BONE_USED_BY_VERTEX_MASK",
  "BONE_USED_BY_BONE_MERGE",
  "BONE_USED_BY_ANYTHING",
  "BONE_USED_MASK",

  --- BOX
  "BOX_FRONT",
  "BOX_BACK",
  "BOX_RIGHT",
  "BOX_LEFT",
  "BOX_TOP",
  "BOX_BOTTOM",

  --- BUTTON_CODE
  "BUTTON_CODE_INVALID",
  "BUTTON_CODE_NONE",
  "BUTTON_CODE_LAST",
  "BUTTON_CODE_COUNT",
  "KEY_FIRST",
  "KEY_NONE",
  "KEY_0",
  "KEY_1",
  "KEY_2",
  "KEY_3",
  "KEY_4",
  "KEY_5",
  "KEY_6",
  "KEY_7",
  "KEY_8",
  "KEY_9",
  "KEY_A",
  "KEY_B",
  "KEY_C",
  "KEY_D",
  "KEY_E",
  "KEY_F",
  "KEY_G",
  "KEY_H",
  "KEY_I",
  "KEY_J",
  "KEY_K",
  "KEY_L",
  "KEY_M",
  "KEY_N",
  "KEY_O",
  "KEY_P",
  "KEY_Q",
  "KEY_R",
  "KEY_S",
  "KEY_T",
  "KEY_U",
  "KEY_V",
  "KEY_W",
  "KEY_X",
  "KEY_Y",
  "KEY_Z",
  "KEY_PAD_0",
  "KEY_PAD_1",
  "KEY_PAD_2",
  "KEY_PAD_3",
  "KEY_PAD_4",
  "KEY_PAD_5",
  "KEY_PAD_6",
  "KEY_PAD_7",
  "KEY_PAD_8",
  "KEY_PAD_9",
  "KEY_PAD_DIVIDE",
  "KEY_PAD_MULTIPLY",
  "KEY_PAD_MINUS",
  "KEY_PAD_PLUS",
  "KEY_PAD_ENTER",
  "KEY_PAD_DECIMAL",
  "KEY_LBRACKET",
  "KEY_RBRACKET",
  "KEY_SEMICOLON",
  "KEY_APOSTROPHE",
  "KEY_BACKQUOTE",
  "KEY_COMMA",
  "KEY_PERIOD",
  "KEY_SLASH",
  "KEY_BACKSLASH",
  "KEY_MINUS",
  "KEY_EQUAL",
  "KEY_ENTER",
  "KEY_SPACE",
  "KEY_BACKSPACE",
  "KEY_TAB",
  "KEY_CAPSLOCK",
  "KEY_NUMLOCK",
  "KEY_ESCAPE",
  "KEY_SCROLLLOCK",
  "KEY_INSERT",
  "KEY_DELETE",
  "KEY_HOME",
  "KEY_END",
  "KEY_PAGEUP",
  "KEY_PAGEDOWN",
  "KEY_BREAK",
  "KEY_LSHIFT",
  "KEY_RSHIFT",
  "KEY_LALT",
  "KEY_RALT",
  "KEY_LCONTROL",
  "KEY_RCONTROL",
  "KEY_LWIN",
  "KEY_RWIN",
  "KEY_APP",
  "KEY_UP",
  "KEY_LEFT",
  "KEY_DOWN",
  "KEY_RIGHT",
  "KEY_F1",
  "KEY_F2",
  "KEY_F3",
  "KEY_F4",
  "KEY_F5",
  "KEY_F6",
  "KEY_F7",
  "KEY_F8",
  "KEY_F9",
  "KEY_F10",
  "KEY_F11",
  "KEY_F12",
  "KEY_CAPSLOCKTOGGLE",
  "KEY_NUMLOCKTOGGLE",
  "KEY_LAST",
  "KEY_SCROLLLOCKTOGGLE",
  "KEY_COUNT",
  "KEY_XBUTTON_A",
  "KEY_XBUTTON_B",
  "KEY_XBUTTON_X",
  "KEY_XBUTTON_Y",
  "KEY_XBUTTON_LEFT_SHOULDER",
  "KEY_XBUTTON_RIGHT_SHOULDER",
  "KEY_XBUTTON_BACK",
  "KEY_XBUTTON_START",
  "KEY_XBUTTON_STICK1",
  "KEY_XBUTTON_STICK2",
  "KEY_XBUTTON_UP",
  "KEY_XBUTTON_RIGHT",
  "KEY_XBUTTON_DOWN",
  "KEY_XBUTTON_LEFT",
  "KEY_XSTICK1_RIGHT",
  "KEY_XSTICK1_LEFT",
  "KEY_XSTICK1_DOWN",
  "KEY_XSTICK1_UP",
  "KEY_XBUTTON_LTRIGGER",
  "KEY_XBUTTON_RTRIGGER",
  "KEY_XSTICK2_RIGHT",
  "KEY_XSTICK2_LEFT",
  "KEY_XSTICK2_DOWN",
  "KEY_XSTICK2_UP",
  "MOUSE_FIRST",
  "MOUSE_LEFT",
  "MOUSE_RIGHT",
  "MOUSE_MIDDLE",
  "MOUSE_4",
  "MOUSE_5",
  "MOUSE_WHEEL_UP",
  "MOUSE_WHEEL_DOWN",
  "MOUSE_LAST",
  "MOUSE_COUNT",
  "JOYSTICK_FIRST",
  "JOYSTICK_FIRST_BUTTON",
  "JOYSTICK_LAST_BUTTON",
  "JOYSTICK_FIRST_POV_BUTTON",
  "JOYSTICK_LAST_POV_BUTTON",
  "JOYSTICK_FIRST_AXIS_BUTTON",
  "JOYSTICK_LAST_AXIS_BUTTON",
  "JOYSTICK_LAST",

  --- CAP
  "CAP_SIMPLE_RADIUS_DAMAGE",
  "CAP_MOVE_GROUND",
  "CAP_MOVE_JUMP",
  "CAP_MOVE_FLY",
  "CAP_MOVE_CLIMB",
  "CAP_MOVE_SWIM",
  "CAP_MOVE_CRAWL",
  "CAP_MOVE_SHOOT",
  "CAP_SKIP_NAV_GROUND_CHECK",
  "CAP_USE",
  "CAP_AUTO_DOORS",
  "CAP_OPEN_DOORS",
  "CAP_TURN_HEAD",
  "CAP_WEAPON_RANGE_ATTACK1",
  "CAP_WEAPON_RANGE_ATTACK2",
  "CAP_WEAPON_MELEE_ATTACK1",
  "CAP_WEAPON_MELEE_ATTACK2",
  "CAP_INNATE_RANGE_ATTACK1",
  "CAP_INNATE_RANGE_ATTACK2",
  "CAP_INNATE_MELEE_ATTACK1",
  "CAP_INNATE_MELEE_ATTACK2",
  "CAP_USE_WEAPONS",
  "CAP_USE_SHOT_REGULATOR",
  "CAP_ANIMATEDFACE",
  "CAP_FRIENDLY_DMG_IMMUNE",
  "CAP_SQUAD",
  "CAP_DUCK",
  "CAP_NO_HIT_PLAYER",
  "CAP_AIM_GUN",
  "CAP_NO_HIT_SQUADMATES",

  --- CHAN
  "CHAN_REPLACE",
  "CHAN_AUTO",
  "CHAN_WEAPON",
  "CHAN_VOICE",
  "CHAN_ITEM",
  "CHAN_BODY",
  "CHAN_STREAM",
  "CHAN_STATIC",
  "CHAN_VOICE2",
  "CHAN_VOICE_BASE",
  "CHAN_USER_BASE",

  --- CLASS
  "CLASS_NONE",
  "CLASS_PLAYER",
  "CLASS_PLAYER_ALLY",
  "CLASS_PLAYER_ALLY_VITAL",
  "CLASS_ANTLION",
  "CLASS_BARNACLE",
  "CLASS_BULLSEYE",
  "CLASS_CITIZEN_PASSIVE",
  "CLASS_CITIZEN_REBEL",
  "CLASS_COMBINE",
  "CLASS_COMBINE_GUNSHIP",
  "CLASS_CONSCRIPT",
  "CLASS_HEADCRAB",
  "CLASS_MANHACK",
  "CLASS_METROPOLICE",
  "CLASS_MILITARY",
  "CLASS_SCANNER",
  "CLASS_STALKER",
  "CLASS_VORTIGAUNT",
  "CLASS_ZOMBIE",
  "CLASS_PROTOSNIPER",
  "CLASS_MISSILE",
  "CLASS_FLARE",
  "CLASS_EARTH_FAUNA",
  "CLASS_HACKED_ROLLERMINE",
  "CLASS_COMBINE_HUNTER",

  --- COLLISION_GROUP
  "COLLISION_GROUP_NONE",
  "COLLISION_GROUP_DEBRIS",
  "COLLISION_GROUP_DEBRIS_TRIGGER",
  "COLLISION_GROUP_INTERACTIVE_DEBRIS",
  "COLLISION_GROUP_INTERACTIVE",
  "COLLISION_GROUP_PLAYER",
  "COLLISION_GROUP_BREAKABLE_GLASS",
  "COLLISION_GROUP_VEHICLE",
  "COLLISION_GROUP_PLAYER_MOVEMENT",
  "COLLISION_GROUP_NPC",
  "COLLISION_GROUP_IN_VEHICLE",
  "COLLISION_GROUP_WEAPON",
  "COLLISION_GROUP_VEHICLE_CLIP",
  "COLLISION_GROUP_PROJECTILE",
  "COLLISION_GROUP_DOOR_BLOCKER",
  "COLLISION_GROUP_PASSABLE_DOOR",
  "COLLISION_GROUP_DISSOLVING",
  "COLLISION_GROUP_PUSHAWAY",
  "COLLISION_GROUP_NPC_ACTOR",
  "COLLISION_GROUP_NPC_SCRIPTED",
  "COLLISION_GROUP_WORLD",
  "LAST_SHARED_COLLISION_GROUP",

  --- COND
  "COND_BEHIND_ENEMY",
  "COND_BETTER_WEAPON_AVAILABLE",
  "COND_CAN_MELEE_ATTACK1",
  "COND_CAN_MELEE_ATTACK2",
  "COND_CAN_RANGE_ATTACK1",
  "COND_CAN_RANGE_ATTACK2",
  "COND_ENEMY_DEAD",
  "COND_ENEMY_FACING_ME",
  "COND_ENEMY_OCCLUDED",
  "COND_ENEMY_TOO_FAR",
  "COND_ENEMY_UNREACHABLE",
  "COND_ENEMY_WENT_NULL",
  "COND_FLOATING_OFF_GROUND",
  "COND_GIVE_WAY",
  "COND_HAVE_ENEMY_LOS",
  "COND_HAVE_TARGET_LOS",
  "COND_HEALTH_ITEM_AVAILABLE",
  "COND_HEAR_BUGBAIT",
  "COND_HEAR_BULLET_IMPACT",
  "COND_HEAR_COMBAT",
  "COND_HEAR_DANGER",
  "COND_HEAR_MOVE_AWAY",
  "COND_HEAR_PHYSICS_DANGER",
  "COND_HEAR_PLAYER",
  "COND_HEAR_SPOOKY",
  "COND_HEAR_THUMPER",
  "COND_HEAR_WORLD",
  "COND_HEAVY_DAMAGE",
  "COND_IDLE_INTERRUPT",
  "COND_IN_PVS",
  "COND_LIGHT_DAMAGE",
  "COND_LOST_ENEMY",
  "COND_LOST_PLAYER",
  "COND_LOW_PRIMARY_AMMO",
  "COND_MOBBED_BY_ENEMIES",
  "COND_NEW_ENEMY",
  "COND_NO_CUSTOM_INTERRUPTS",
  "COND_NO_HEAR_DANGER",
  "COND_NO_PRIMARY_AMMO",
  "COND_NO_SECONDARY_AMMO",
  "COND_NO_WEAPON",
  "COND_NONE",
  "COND_NOT_FACING_ATTACK",
  "COND_NPC_FREEZE",
  "COND_NPC_UNFREEZE",
  "COND_PHYSICS_DAMAGE",
  "COND_PLAYER_ADDED_TO_SQUAD",
  "COND_PLAYER_PUSHING",
  "COND_PLAYER_REMOVED_FROM_SQUAD",
  "COND_PROVOKED",
  "COND_RECEIVED_ORDERS",
  "COND_REPEATED_DAMAGE",
  "COND_SCHEDULE_DONE",
  "COND_SEE_DISLIKE",
  "COND_SEE_ENEMY",
  "COND_SEE_FEAR",
  "COND_SEE_HATE",
  "COND_SEE_NEMESIS",
  "COND_SEE_PLAYER",
  "COND_SMELL",
  "COND_TALKER_RESPOND_TO_QUESTION",
  "COND_TARGET_OCCLUDED",
  "COND_TASK_FAILED",
  "COND_TOO_CLOSE_TO_ATTACK",
  "COND_TOO_FAR_TO_ATTACK",
  "COND_WAY_CLEAR",
  "COND_WEAPON_BLOCKED_BY_FRIEND",
  "COND_WEAPON_HAS_LOS",
  "COND_WEAPON_PLAYER_IN_SPREAD",
  "COND_WEAPON_PLAYER_NEAR_TARGET",
  "COND_WEAPON_SIGHT_OCCLUDED",

  --- CONTENTS
  "CONTENTS_EMPTY",
  "CONTENTS_SOLID",
  "CONTENTS_WINDOW",
  "CONTENTS_AUX",
  "CONTENTS_GRATE",
  "CONTENTS_SLIME",
  "CONTENTS_WATER",
  "CONTENTS_BLOCKLOS",
  "CONTENTS_OPAQUE",
  "CONTENTS_TESTFOGVOLUME",
  "CONTENTS_TEAM4",
  "CONTENTS_TEAM3",
  "CONTENTS_TEAM1",
  "CONTENTS_TEAM2",
  "CONTENTS_IGNORE_NODRAW_OPAQUE",
  "CONTENTS_MOVEABLE",
  "CONTENTS_AREAPORTAL",
  "CONTENTS_PLAYERCLIP",
  "CONTENTS_MONSTERCLIP",
  "CONTENTS_CURRENT_0",
  "CONTENTS_CURRENT_180",
  "CONTENTS_CURRENT_270",
  "CONTENTS_CURRENT_90",
  "CONTENTS_CURRENT_DOWN",
  "CONTENTS_CURRENT_UP",
  "CONTENTS_DEBRIS",
  "CONTENTS_DETAIL",
  "CONTENTS_HITBOX",
  "CONTENTS_LADDER",
  "CONTENTS_MONSTER",
  "CONTENTS_ORIGIN",
  "CONTENTS_TRANSLUCENT",
  "LAST_VISIBLE_CONTENTS",
  "ALL_VISIBLE_CONTENTS",

  --- CREATERENDERTARGETFLAGS
  "CREATERENDERTARGETFLAGS_HDR",
  "CREATERENDERTARGETFLAGS_AUTOMIPMAP",
  "CREATERENDERTARGETFLAGS_UNFILTERABLE_OK",

  --- CT
  "CT_DEFAULT",
  "CT_DOWNTRODDEN",
  "CT_REFUGEE",
  "CT_REBEL",
  "CT_UNIQUE",

  --- D
  "D_ER",
  "D_HT",
  "D_FR",
  "D_LI",
  "D_NU",

  --- DMG
  "DMG_GENERIC",
  "DMG_CRUSH",
  "DMG_BULLET",
  "DMG_SLASH",
  "DMG_BURN",
  "DMG_VEHICLE",
  "DMG_FALL",
  "DMG_BLAST",
  "DMG_CLUB",
  "DMG_SHOCK",
  "DMG_SONIC",
  "DMG_ENERGYBEAM",
  "DMG_NEVERGIB",
  "DMG_ALWAYSGIB",
  "DMG_DROWN",
  "DMG_PARALYZE",
  "DMG_NERVEGAS",
  "DMG_POISON",
  "DMG_ACID",
  "DMG_AIRBOAT",
  "DMG_BLAST_SURFACE",
  "DMG_BUCKSHOT",
  "DMG_DIRECT",
  "DMG_DISSOLVE",
  "DMG_DROWNRECOVER",
  "DMG_PHYSGUN",
  "DMG_PLASMA",
  "DMG_PREVENT_PHYSICS_FORCE",
  "DMG_RADIATION",
  "DMG_REMOVENORAGDOLL",
  "DMG_SLOWBURN",

  --- DOCK
  "NODOCK",
  "FILL",
  "LEFT",
  "RIGHT",
  "TOP",
  "BOTTOM",

  --- DOF
  "DOF_OFFSET",
  "DOF_SPACING",

  --- EF
  "EF_BONEMERGE",
  "EF_BONEMERGE_FASTCULL",
  "EF_BRIGHTLIGHT",
  "EF_DIMLIGHT",
  "EF_NOINTERP",
  "EF_NOSHADOW",
  "EF_NODRAW",
  "EF_NORECEIVESHADOW",
  "EF_ITEM_BLINK",
  "EF_PARENT_ANIMATES",
  "EF_FOLLOWBONE",

  --- EFL
  "EFL_BOT_FROZEN",
  "EFL_CHECK_UNTOUCH",
  "EFL_DIRTY_ABSANGVELOCITY",
  "EFL_DIRTY_ABSTRANSFORM",
  "EFL_DIRTY_ABSVELOCITY",
  "EFL_DIRTY_SHADOWUPDATE",
  "EFL_DIRTY_SPATIAL_PARTITION",
  "EFL_DIRTY_SURROUNDING_COLLISION_BOUNDS",
  "EFL_DONTBLOCKLOS",
  "EFL_DONTWALKON",
  "EFL_DORMANT",
  "EFL_FORCE_CHECK_TRANSMIT",
  "EFL_HAS_PLAYER_CHILD",
  "EFL_IN_SKYBOX",
  "EFL_IS_BEING_LIFTED_BY_BARNACLE",
  "EFL_KEEP_ON_RECREATE_ENTITIES",
  "EFL_KILLME",
  "EFL_NOCLIP_ACTIVE",
  "EFL_NOTIFY",
  "EFL_NO_AUTO_EDICT_ATTACH",
  "EFL_NO_DAMAGE_FORCES",
  "EFL_NO_DISSOLVE",
  "EFL_NO_GAME_PHYSICS_SIMULATION",
  "EFL_NO_MEGAPHYSCANNON_RAGDOLL",
  "EFL_NO_PHYSCANNON_INTERACTION",
  "EFL_NO_ROTORWASH_PUSH",
  "EFL_NO_THINK_FUNCTION",
  "EFL_NO_WATER_VELOCITY_CHANGE",
  "EFL_SERVER_ONLY",
  "EFL_SETTING_UP_BONES",
  "EFL_TOUCHING_FLUID",
  "EFL_USE_PARTITION_WHEN_NOT_SOLID",

  --- FCVAR
  "FCVAR_ARCHIVE",
  "FCVAR_ARCHIVE_XBOX",
  "FCVAR_CHEAT",
  "FCVAR_CLIENTCMD_CAN_EXECUTE",
  "FCVAR_CLIENTDLL",
  "FCVAR_DEMO",
  "FCVAR_DONTRECORD",
  "FCVAR_GAMEDLL",
  "FCVAR_LUA_CLIENT",
  "FCVAR_LUA_SERVER",
  "FCVAR_NEVER_AS_STRING",
  "FCVAR_NONE",
  "FCVAR_NOTIFY",
  "FCVAR_NOT_CONNECTED",
  "FCVAR_PRINTABLEONLY",
  "FCVAR_PROTECTED",
  "FCVAR_REPLICATED",
  "FCVAR_SERVER_CANNOT_QUERY",
  "FCVAR_SERVER_CAN_EXECUTE",
  "FCVAR_SPONLY",
  "FCVAR_UNLOGGED",
  "FCVAR_UNREGISTERED",
  "FCVAR_USERINFO",

  --- FFT
  "FFT_256",
  "FFT_512",
  "FFT_1024",
  "FFT_2048",
  "FFT_4096",
  "FFT_8192",
  "FFT_16384",
  "FFT_32768",

  --- FL
  "FL_ONGROUND",
  "FL_DUCKING",
  "FL_ANIMDUCKING",
  "FL_WATERJUMP",
  "FL_ONTRAIN",
  "FL_INRAIN",
  "FL_FROZEN",
  "FL_ATCONTROLS",
  "FL_CLIENT",
  "FL_FAKECLIENT",
  "FL_INWATER",
  "FL_FLY",
  "FL_SWIM",
  "FL_CONVEYOR",
  "FL_NPC",
  "FL_GODMODE",
  "FL_NOTARGET",
  "FL_AIMTARGET",
  "FL_PARTIALGROUND",
  "FL_STATICPROP",
  "FL_GRAPHED",
  "FL_GRENADE",
  "FL_STEPMOVEMENT",
  "FL_DONTTOUCH",
  "FL_BASEVELOCITY",
  "FL_WORLDBRUSH",
  "FL_OBJECT",
  "FL_KILLME",
  "FL_ONFIRE",
  "FL_DISSOLVING",
  "FL_TRANSRAGDOLL",
  "FL_UNBLOCKABLE_BY_PLAYER",

  --- FORCE
  "FORCE_STRING",
  "FORCE_NUMBER",
  "FORCE_BOOL",

  --- FSOLID
  "FSOLID_CUSTOMRAYTEST",
  "FSOLID_CUSTOMBOXTEST",
  "FSOLID_NOT_SOLID",
  "FSOLID_TRIGGER",
  "FSOLID_NOT_STANDABLE",
  "FSOLID_VOLUME_CONTENTS",
  "FSOLID_FORCE_WORLD_ALIGNED",
  "FSOLID_USE_TRIGGER_BOUNDS",
  "FSOLID_ROOT_PARENT_ALIGNED",
  "FSOLID_TRIGGER_TOUCH_DEBRIS",
  "FSOLID_MAX_BITS",

  --- FVPHYSICS
  "FVPHYSICS_CONSTRAINT_STATIC",
  "FVPHYSICS_DMG_DISSOLVE",
  "FVPHYSICS_DMG_SLICE",
  "FVPHYSICS_HEAVY_OBJECT",
  "FVPHYSICS_MULTIOBJECT_ENTITY",
  "FVPHYSICS_NO_IMPACT_DMG",
  "FVPHYSICS_NO_NPC_IMPACT_DMG",
  "FVPHYSICS_NO_PLAYER_PICKUP",
  "FVPHYSICS_NO_SELF_COLLISIONS",
  "FVPHYSICS_PART_OF_RAGDOLL",
  "FVPHYSICS_PENETRATING",
  "FVPHYSICS_PLAYER_HELD",
  "FVPHYSICS_WAS_THROWN",

  --- GESTURE_SLOT
  "GESTURE_SLOT_ATTACK_AND_RELOAD",
  "GESTURE_SLOT_GRENADE",
  "GESTURE_SLOT_JUMP",
  "GESTURE_SLOT_SWIM",
  "GESTURE_SLOT_FLINCH",
  "GESTURE_SLOT_VCD",
  "GESTURE_SLOT_CUSTOM",

  --- GLOBAL
  "GLOBAL_OFF",
  "GLOBAL_ON",
  "GLOBAL_DEAD",

  --- GMOD_CHANNEL
  "GMOD_CHANNEL_STOPPED",
  "GMOD_CHANNEL_PLAYING",
  "GMOD_CHANNEL_PAUSED",
  "GMOD_CHANNEL_STALLED",

  --- HITGROUP
  "HITGROUP_GENERIC",
  "HITGROUP_HEAD",
  "HITGROUP_CHEST",
  "HITGROUP_STOMACH",
  "HITGROUP_LEFTARM",
  "HITGROUP_RIGHTARM",
  "HITGROUP_LEFTLEG",
  "HITGROUP_RIGHTLEG",
  "HITGROUP_GEAR",

  --- HUD
  "HUD_PRINTNOTIFY",
  "HUD_PRINTCONSOLE",
  "HUD_PRINTTALK",
  "HUD_PRINTCENTER",

  --- HULL
  "HULL_HUMAN",
  "HULL_SMALL_CENTERED",
  "HULL_WIDE_HUMAN",
  "HULL_TINY",
  "HULL_WIDE_SHORT",
  "HULL_MEDIUM",
  "HULL_TINY_CENTERED",
  "HULL_LARGE",
  "HULL_LARGE_CENTERED",
  "HULL_MEDIUM_TALL",

  --- IMAGE_FORMAT
  "IMAGE_FORMAT_DEFAULT",
  "IMAGE_FORMAT_RGBA8888",
  "IMAGE_FORMAT_ABGR8888",
  "IMAGE_FORMAT_RGB888",
  "IMAGE_FORMAT_BGR888",
  "IMAGE_FORMAT_RGB565",
  "IMAGE_FORMAT_ARGB8888",
  "IMAGE_FORMAT_BGRA8888",
  "IMAGE_FORMAT_RGBA16161616",
  "IMAGE_FORMAT_RGBA16161616F",

  --- IN
  "IN_ATTACK",
  "IN_JUMP",
  "IN_DUCK",
  "IN_FORWARD",
  "IN_BACK",
  "IN_USE",
  "IN_CANCEL",
  "IN_LEFT",
  "IN_RIGHT",
  "IN_MOVELEFT",
  "IN_MOVERIGHT",
  "IN_ATTACK2",
  "IN_RUN",
  "IN_RELOAD",
  "IN_ALT1",
  "IN_ALT2",
  "IN_SCORE",
  "IN_SPEED",
  "IN_WALK",
  "IN_ZOOM",
  "IN_WEAPON1",
  "IN_WEAPON2",
  "IN_BULLRUSH",
  "IN_GRENADE1",
  "IN_GRENADE2",

  --- JOYSTICK
  "JOYSTICK_FIRST",
  "JOYSTICK_FIRST_BUTTON",
  "JOYSTICK_LAST_BUTTON",
  "JOYSTICK_FIRST_POV_BUTTON",
  "JOYSTICK_LAST_POV_BUTTON",
  "JOYSTICK_FIRST_AXIS_BUTTON",
  "JOYSTICK_LAST_AXIS_BUTTON",
  "JOYSTICK_LAST",

  --- KEY
  "KEY_FIRST",
  "KEY_NONE",
  "KEY_0",
  "KEY_1",
  "KEY_2",
  "KEY_3",
  "KEY_4",
  "KEY_5",
  "KEY_6",
  "KEY_7",
  "KEY_8",
  "KEY_9",
  "KEY_A",
  "KEY_B",
  "KEY_C",
  "KEY_D",
  "KEY_E",
  "KEY_F",
  "KEY_G",
  "KEY_H",
  "KEY_I",
  "KEY_J",
  "KEY_K",
  "KEY_L",
  "KEY_M",
  "KEY_N",
  "KEY_O",
  "KEY_P",
  "KEY_Q",
  "KEY_R",
  "KEY_S",
  "KEY_T",
  "KEY_U",
  "KEY_V",
  "KEY_W",
  "KEY_X",
  "KEY_Y",
  "KEY_Z",
  "KEY_PAD_0",
  "KEY_PAD_1",
  "KEY_PAD_2",
  "KEY_PAD_3",
  "KEY_PAD_4",
  "KEY_PAD_5",
  "KEY_PAD_6",
  "KEY_PAD_7",
  "KEY_PAD_8",
  "KEY_PAD_9",
  "KEY_PAD_DIVIDE",
  "KEY_PAD_MULTIPLY",
  "KEY_PAD_MINUS",
  "KEY_PAD_PLUS",
  "KEY_PAD_ENTER",
  "KEY_PAD_DECIMAL",
  "KEY_LBRACKET",
  "KEY_RBRACKET",
  "KEY_SEMICOLON",
  "KEY_APOSTROPHE",
  "KEY_BACKQUOTE",
  "KEY_COMMA",
  "KEY_PERIOD",
  "KEY_SLASH",
  "KEY_BACKSLASH",
  "KEY_MINUS",
  "KEY_EQUAL",
  "KEY_ENTER",
  "KEY_SPACE",
  "KEY_BACKSPACE",
  "KEY_TAB",
  "KEY_CAPSLOCK",
  "KEY_NUMLOCK",
  "KEY_ESCAPE",
  "KEY_SCROLLLOCK",
  "KEY_INSERT",
  "KEY_DELETE",
  "KEY_HOME",
  "KEY_END",
  "KEY_PAGEUP",
  "KEY_PAGEDOWN",
  "KEY_BREAK",
  "KEY_LSHIFT",
  "KEY_RSHIFT",
  "KEY_LALT",
  "KEY_RALT",
  "KEY_LCONTROL",
  "KEY_RCONTROL",
  "KEY_LWIN",
  "KEY_RWIN",
  "KEY_APP",
  "KEY_UP",
  "KEY_LEFT",
  "KEY_DOWN",
  "KEY_RIGHT",
  "KEY_F1",
  "KEY_F2",
  "KEY_F3",
  "KEY_F4",
  "KEY_F5",
  "KEY_F6",
  "KEY_F7",
  "KEY_F8",
  "KEY_F9",
  "KEY_F10",
  "KEY_F11",
  "KEY_F12",
  "KEY_CAPSLOCKTOGGLE",
  "KEY_NUMLOCKTOGGLE",
  "KEY_LAST",
  "KEY_SCROLLLOCKTOGGLE",
  "KEY_COUNT",
  "KEY_XBUTTON_A",
  "KEY_XBUTTON_B",
  "KEY_XBUTTON_X",
  "KEY_XBUTTON_Y",
  "KEY_XBUTTON_LEFT_SHOULDER",
  "KEY_XBUTTON_RIGHT_SHOULDER",
  "KEY_XBUTTON_BACK",
  "KEY_XBUTTON_START",
  "KEY_XBUTTON_STICK1",
  "KEY_XBUTTON_STICK2",
  "KEY_XBUTTON_UP",
  "KEY_XBUTTON_RIGHT",
  "KEY_XBUTTON_DOWN",
  "KEY_XBUTTON_LEFT",
  "KEY_XSTICK1_RIGHT",
  "KEY_XSTICK1_LEFT",
  "KEY_XSTICK1_DOWN",
  "KEY_XSTICK1_UP",
  "KEY_XBUTTON_LTRIGGER",
  "KEY_XBUTTON_RTRIGGER",
  "KEY_XSTICK2_RIGHT",
  "KEY_XSTICK2_LEFT",
  "KEY_XSTICK2_DOWN",
  "KEY_XSTICK2_UP",

  --- kRenderFx

  --- MASK
  "MASK_ALL",
  "MASK_BLOCKLOS",
  "MASK_BLOCKLOS_AND_NPCS",
  "MASK_CURRENT",
  "MASK_DEADSOLID",
  "MASK_NPCSOLID",
  "MASK_NPCSOLID_BRUSHONLY",
  "MASK_NPCWORLDSTATIC",
  "MASK_OPAQUE",
  "MASK_OPAQUE_AND_NPCS",
  "MASK_PLAYERSOLID",
  "MASK_PLAYERSOLID_BRUSHONLY",
  "MASK_SHOT",
  "MASK_SHOT_HULL",
  "MASK_SHOT_PORTAL",
  "MASK_SOLID",
  "MASK_SOLID_BRUSHONLY",
  "MASK_SPLITAREAPORTAL",
  "MASK_VISIBLE",
  "MASK_VISIBLE_AND_NPCS",
  "MASK_WATER",

  --- MAT
  "MAT_ALIENFLESH",
  "MAT_ANTLION",
  "MAT_BLOODYFLESH",
  "MAT_CLIP",
  "MAT_COMPUTER",
  "MAT_CONCRETE",
  "MAT_DIRT",
  "MAT_EGGSHELL",
  "MAT_FLESH",
  "MAT_FOLIAGE",
  "MAT_GLASS",
  "MAT_GRATE",
  "MAT_SNOW",
  "MAT_METAL",
  "MAT_PLASTIC",
  "MAT_SAND",
  "MAT_SLOSH",
  "MAT_TILE",
  "MAT_GRASS",
  "MAT_VENT",
  "MAT_WOOD",
  "MAT_DEFAULT",
  "MAT_WARPSHIELD",

  --- MATERIAL
  "MATERIAL_LINES",
  "MATERIAL_LINE_LOOP",
  "MATERIAL_LINE_STRIP",
  "MATERIAL_POINTS",
  "MATERIAL_POLYGON",
  "MATERIAL_QUADS",
  "MATERIAL_TRIANGLES",
  "MATERIAL_TRIANGLE_STRIP",

  --- MATERIAL_CULLMODE
  "MATERIAL_CULLMODE_CCW",
  "MATERIAL_CULLMODE_CW",

  --- MATERIAL_FOG
  "MATERIAL_FOG_NONE",
  "MATERIAL_FOG_LINEAR",
  "MATERIAL_FOG_LINEAR_BELOW_FOG_Z",

  --- MATERIAL_LIGHT
  "MATERIAL_LIGHT_DISABLE",
  "MATERIAL_LIGHT_POINT",
  "MATERIAL_LIGHT_DIRECTIONAL",
  "MATERIAL_LIGHT_SPOT",

  --- MATERIAL_RT_DEPTH
  "MATERIAL_RT_DEPTH_SHARED",
  "MATERIAL_RT_DEPTH_SEPARATE",
  "MATERIAL_RT_DEPTH_NONE",
  "MATERIAL_RT_DEPTH_ONLY",

  --- MOUSE
  "MOUSE_FIRST",
  "MOUSE_LEFT",
  "MOUSE_RIGHT",
  "MOUSE_MIDDLE",
  "MOUSE_4",
  "MOUSE_5",
  "MOUSE_WHEEL_UP",
  "MOUSE_WHEEL_DOWN",
  "MOUSE_LAST",
  "MOUSE_COUNT",

  --- MOVECOLLIDE
  "MOVECOLLIDE_DEFAULT",
  "MOVECOLLIDE_FLY_BOUNCE",
  "MOVECOLLIDE_FLY_CUSTOM",
  "MOVECOLLIDE_FLY_SLIDE",
  "MOVECOLLIDE_COUNT",

  --- MOVETYPE
  "MOVETYPE_NONE",
  "MOVETYPE_ISOMETRIC",
  "MOVETYPE_WALK",
  "MOVETYPE_STEP",
  "MOVETYPE_FLY",
  "MOVETYPE_FLYGRAVITY",
  "MOVETYPE_VPHYSICS",
  "MOVETYPE_PUSH",
  "MOVETYPE_NOCLIP",
  "MOVETYPE_LADDER",
  "MOVETYPE_OBSERVER",
  "MOVETYPE_CUSTOM",

  --- NAV_MESH
  "NAV_MESH_INVALID",
  "NAV_MESH_CROUCH",
  "NAV_MESH_JUMP",
  "NAV_MESH_PRECISE",
  "NAV_MESH_NO_JUMP",
  "NAV_MESH_STOP",
  "NAV_MESH_RUN",
  "NAV_MESH_WALK",
  "NAV_MESH_AVOID",
  "NAV_MESH_TRANSIENT",
  "NAV_MESH_DONT_HIDE",
  "NAV_MESH_STAND",
  "NAV_MESH_NO_HOSTAGES",
  "NAV_MESH_STAIRS",
  "NAV_MESH_NO_MERGE",
  "NAV_MESH_OBSTACLE_TOP",
  "NAV_MESH_CLIFF",
  "NAV_MESH_FUNC_COST",
  "NAV_MESH_HAS_ELEVATOR",
  "NAV_MESH_NAV_BLOCKER",

  --- NavCorner
  "NORTH_WEST",
  "NORTH_EAST",
  "SOUTH_EAST",
  "SOUTH_WEST",
  "NUM_CORNERS",

  --- NavDir
  "NORTH",
  "EAST",
  "SOUTH",
  "WEST",

  --- NavTraverseType
  "GO_NORTH",
  "GO_EAST",
  "GO_SOUTH",
  "GO_WEST",
  "GO_LADDER_UP",
  "GO_LADDER_DOWN",
  "GO_JUMP",
  "GO_ELEVATOR_UP",
  "GO_ELEVATOR_DOWN",

  --- NOTIFY
  "NOTIFY_GENERIC",
  "NOTIFY_ERROR",
  "NOTIFY_UNDO",
  "NOTIFY_HINT",
  "NOTIFY_CLEANUP",

  --- NPC_STATE
  "NPC_STATE_INVALID",
  "NPC_STATE_NONE",
  "NPC_STATE_IDLE",
  "NPC_STATE_ALERT",
  "NPC_STATE_COMBAT",
  "NPC_STATE_SCRIPT",
  "NPC_STATE_PLAYDEAD",
  "NPC_STATE_PRONE",
  "NPC_STATE_DEAD",

  --- NUM
  "NUM_AI_CLASSES",
  "NUM_HULLS",
  "NUM_BEAMS",
  "NUM_SPRITES",

  --- OBS_MODE
  "OBS_MODE_NONE",
  "OBS_MODE_DEATHCAM",
  "OBS_MODE_FREEZECAM",
  "OBS_MODE_FIXED",
  "OBS_MODE_IN_EYE",
  "OBS_MODE_CHASE",
  "OBS_MODE_ROAMING",

  --- PATTACH
  "PATTACH_ABSORIGIN",
  "PATTACH_ABSORIGIN_FOLLOW",
  "PATTACH_CUSTOMORIGIN",
  "PATTACH_POINT",
  "PATTACH_POINT_FOLLOW",
  "PATTACH_WORLDORIGIN",

  --- PLAYER
  "PLAYER_IDLE",
  "PLAYER_WALK",
  "PLAYER_JUMP",
  "PLAYER_SUPERJUMP",
  "PLAYER_DIE",
  "PLAYER_ATTACK1",
  "PLAYER_IN_VEHICLE",
  "PLAYER_RELOAD",
  "PLAYER_START_AIMING",
  "PLAYER_LEAVE_AIMING",

  --- PLAYERANIMEVENT
  "PLAYERANIMEVENT_ATTACK_GRENADE",
  "PLAYERANIMEVENT_ATTACK_PRIMARY",
  "PLAYERANIMEVENT_ATTACK_SECONDARY",
  "PLAYERANIMEVENT_CANCEL",
  "PLAYERANIMEVENT_CUSTOM",
  "PLAYERANIMEVENT_CUSTOM_GESTURE",
  "PLAYERANIMEVENT_CUSTOM_GESTURE_SEQUENCE",
  "PLAYERANIMEVENT_CUSTOM_SEQUENCE",
  "PLAYERANIMEVENT_DIE",
  "PLAYERANIMEVENT_DOUBLEJUMP",
  "PLAYERANIMEVENT_FLINCH_CHEST",
  "PLAYERANIMEVENT_FLINCH_HEAD",
  "PLAYERANIMEVENT_FLINCH_LEFTARM",
  "PLAYERANIMEVENT_FLINCH_LEFTLEG",
  "PLAYERANIMEVENT_FLINCH_RIGHTARM",
  "PLAYERANIMEVENT_FLINCH_RIGHTLEG",
  "PLAYERANIMEVENT_JUMP",
  "PLAYERANIMEVENT_RELOAD",
  "PLAYERANIMEVENT_RELOAD_END",
  "PLAYERANIMEVENT_RELOAD_LOOP",
  "PLAYERANIMEVENT_SNAP_YAW",
  "PLAYERANIMEVENT_SPAWN",
  "PLAYERANIMEVENT_SWIM",

  --- RENDERGROUP
  "RENDERGROUP_STATIC_HUGE",
  "RENDERGROUP_OPAQUE_HUGE",
  "RENDERGROUP_STATIC",
  "RENDERGROUP_OPAQUE",
  "RENDERGROUP_TRANSLUCENT",
  "RENDERGROUP_BOTH",
  "RENDERGROUP_VIEWMODEL",
  "RENDERGROUP_VIEWMODEL_TRANSLUCENT",
  "RENDERGROUP_OPAQUE_BRUSH",
  "RENDERGROUP_OTHER",

  --- RENDERMODE
  "RENDERMODE_NORMAL",
  "RENDERMODE_TRANSCOLOR",
  "RENDERMODE_TRANSTEXTURE",
  "RENDERMODE_GLOW",
  "RENDERMODE_TRANSALPHA",
  "RENDERMODE_TRANSADD",
  "RENDERMODE_ENVIROMENTAL",
  "RENDERMODE_TRANSADDFRAMEBLEND",
  "RENDERMODE_TRANSALPHADD",
  "RENDERMODE_WORLDGLOW",
  "RENDERMODE_NONE",

  --- RT_SIZE
  "RT_SIZE_NO_CHANGE",
  "RT_SIZE_DEFAULT",
  "RT_SIZE_PICMIP",
  "RT_SIZE_HDR",
  "RT_SIZE_FULL_FRAME_BUFFER",
  "RT_SIZE_OFFSCREEN",
  "RT_SIZE_FULL_FRAME_BUFFER_ROUNDED_UP",

  --- SCHED
  "LAST_SHARED_SCHEDULE",
  "SCHED_AISCRIPT",
  "SCHED_ALERT_FACE",
  "SCHED_ALERT_FACE_BESTSOUND",
  "SCHED_ALERT_REACT_TO_COMBAT_SOUND",
  "SCHED_ALERT_SCAN",
  "SCHED_ALERT_STAND",
  "SCHED_ALERT_WALK",
  "SCHED_AMBUSH",
  "SCHED_ARM_WEAPON",
  "SCHED_BACK_AWAY_FROM_ENEMY",
  "SCHED_BACK_AWAY_FROM_SAVE_POSITION",
  "SCHED_BIG_FLINCH",
  "SCHED_CHASE_ENEMY",
  "SCHED_CHASE_ENEMY_FAILED",
  "SCHED_COMBAT_FACE",
  "SCHED_COMBAT_PATROL",
  "SCHED_COMBAT_STAND",
  "SCHED_COMBAT_SWEEP",
  "SCHED_COMBAT_WALK",
  "SCHED_COWER",
  "SCHED_DIE",
  "SCHED_DIE_RAGDOLL",
  "SCHED_DISARM_WEAPON",
  "SCHED_DROPSHIP_DUSTOFF",
  "SCHED_DUCK_DODGE",
  "SCHED_ESTABLISH_LINE_OF_FIRE",
  "SCHED_ESTABLISH_LINE_OF_FIRE_FALLBACK",
  "SCHED_FAIL",
  "SCHED_FAIL_ESTABLISH_LINE_OF_FIRE",
  "SCHED_FAIL_NOSTOP",
  "SCHED_FAIL_TAKE_COVER",
  "SCHED_FALL_TO_GROUND",
  "SCHED_FEAR_FACE",
  "SCHED_FLEE_FROM_BEST_SOUND",
  "SCHED_FLINCH_PHYSICS",
  "SCHED_FORCED_GO",
  "SCHED_FORCED_GO_RUN",
  "SCHED_GET_HEALTHKIT",
  "SCHED_HIDE_AND_RELOAD",
  "SCHED_IDLE_STAND",
  "SCHED_IDLE_WALK",
  "SCHED_IDLE_WANDER",
  "SCHED_INTERACTION_MOVE_TO_PARTNER",
  "SCHED_INTERACTION_WAIT_FOR_PARTNER",
  "SCHED_INVESTIGATE_SOUND",
  "SCHED_MELEE_ATTACK1",
  "SCHED_MELEE_ATTACK2",
  "SCHED_MOVE_AWAY",
  "SCHED_MOVE_AWAY_END",
  "SCHED_MOVE_AWAY_FAIL",
  "SCHED_MOVE_AWAY_FROM_ENEMY",
  "SCHED_MOVE_TO_WEAPON_RANGE",
  "SCHED_NEW_WEAPON",
  "SCHED_NEW_WEAPON_CHEAT",
  "SCHED_NONE",
  "SCHED_NPC_FREEZE",
  "SCHED_PATROL_RUN",
  "SCHED_PATROL_WALK",
  "SCHED_PRE_FAIL_ESTABLISH_LINE_OF_FIRE",
  "SCHED_RANGE_ATTACK1",
  "SCHED_RANGE_ATTACK2",
  "SCHED_RELOAD",
  "SCHED_RUN_FROM_ENEMY",
  "SCHED_RUN_FROM_ENEMY_FALLBACK",
  "SCHED_RUN_FROM_ENEMY_MOB",
  "SCHED_RUN_RANDOM",
  "SCHED_SCENE_GENERIC",
  "SCHED_SCRIPTED_CUSTOM_MOVE",
  "SCHED_SCRIPTED_FACE",
  "SCHED_SCRIPTED_RUN",
  "SCHED_SCRIPTED_WAIT",
  "SCHED_SCRIPTED_WALK",
  "SCHED_SHOOT_ENEMY_COVER",
  "SCHED_SLEEP",
  "SCHED_SMALL_FLINCH",
  "SCHED_SPECIAL_ATTACK1",
  "SCHED_SPECIAL_ATTACK2",
  "SCHED_STANDOFF",
  "SCHED_SWITCH_TO_PENDING_WEAPON",
  "SCHED_TAKE_COVER_FROM_BEST_SOUND",
  "SCHED_TAKE_COVER_FROM_ENEMY",
  "SCHED_TAKE_COVER_FROM_ORIGIN",
  "SCHED_TARGET_CHASE",
  "SCHED_TARGET_FACE",
  "SCHED_VICTORY_DANCE",
  "SCHED_WAIT_FOR_SCRIPT",
  "SCHED_WAIT_FOR_SPEAK_FINISH",
  "SCHED_WAKE_ANGRY",

  --- SCREENFADE

  --- SENSORBONE

  --- SF
  "SF_CITIZEN_AMMORESUPPLIER",
  "SF_CITIZEN_FOLLOW",
  "SF_CITIZEN_IGNORE_SEMAPHORE",
  "SF_CITIZEN_MEDIC",
  "SF_CITIZEN_NOT_COMMANDABLE",
  "SF_CITIZEN_RANDOM_HEAD",
  "SF_CITIZEN_RANDOM_HEAD_FEMALE",
  "SF_CITIZEN_RANDOM_HEAD_MALE",
  "SF_CITIZEN_USE_RENDER_BOUNDS",
  "SF_FLOOR_TURRET_CITIZEN",
  "SF_NPC_ALTCOLLISION",
  "SF_NPC_ALWAYSTHINK",
  "SF_NPC_DROP_HEALTHKIT",
  "SF_NPC_FADE_CORPSE",
  "SF_NPC_FALL_TO_GROUND",
  "SF_NPC_GAG",
  "SF_NPC_LONG_RANGE",
  "SF_NPC_NO_PLAYER_PUSHAWAY",
  "SF_NPC_NO_WEAPON_DROP",
  "SF_NPC_START_EFFICIENT",
  "SF_NPC_TEMPLATE",
  "SF_NPC_WAIT_FOR_SCRIPT",
  "SF_NPC_WAIT_TILL_SEEN",
  "SF_PHYSBOX_MOTIONDISABLED",
  "SF_PHYSBOX_NEVER_PICK_UP",
  "SF_PHYSPROP_MOTIONDISABLED",
  "SF_PHYSPROP_PREVENT_PICKUP",
  "SF_ROLLERMINE_FRIENDLY",

  --- SIM
  "SIM_NOTHING",
  "SIM_LOCAL_ACCELERATION",
  "SIM_LOCAL_FORCE",
  "SIM_GLOBAL_ACCELERATION",
  "SIM_GLOBAL_FORCE",

  --- SND
  "SND_NOFLAGS",
  "SND_CHANGE_VOL",
  "SND_CHANGE_PITCH",
  "SND_STOP",
  "SND_SPAWNING",
  "SND_DELAY",
  "SND_STOP_LOOPING",
  "SND_SHOULDPAUSE",
  "SND_IGNORE_PHONEMES",
  "SND_IGNORE_NAME",
  "SND_DO_NOT_OVERWRITE_EXISTING_ON_CHANNEL",

 --- SNDLVL
  "SNDLVL_NONE",
  "SNDLVL_20dB",
  "SNDLVL_25dB",
  "SNDLVL_30dB",
  "SNDLVL_35dB",
  "SNDLVL_40dB",
  "SNDLVL_45dB",
  "SNDLVL_50dB",
  "SNDLVL_55dB",
  "SNDLVL_60dB<br/>SNDLVL_IDLE",
  "SNDLVL_65dB",
  "SNDLVL_STATIC",
  "SNDLVL_70dB",
  "SNDLVL_75dB<br/>SNDLVL_NORM",
  "SNDLVL_80dB<br/>SNDLVL_TALKING",
  "SNDLVL_85dB",
  "SNDLVL_90dB",
  "SNDLVL_95dB",
  "SNDLVL_100dB",
  "SNDLVL_105dB",
  "SNDLVL_110dB",
  "SNDLVL_120dB",
  "SNDLVL_130dB",
  "SNDLVL_140dB<br/>SNDLVL_GUNFIRE",
  "SNDLVL_150dB",
  "SNDLVL_180dB",

  --- SOLID
  "SOLID_NONE",
  "SOLID_BSP",
  "SOLID_BBOX",
  "SOLID_OBB",
  "SOLID_OBB_YAW",
  "SOLID_CUSTOM",
  "SOLID_VPHYSICS",

  --- STENCIL
  "STENCIL_NEVER",
  "STENCIL_LESS",
  "STENCIL_EQUAL",
  "STENCIL_LESSEQUAL",
  "STENCIL_GREATER",
  "STENCIL_NOTEQUAL",
  "STENCIL_GREATEREQUAL",
  "STENCIL_ALWAYS",
  "STENCIL_KEEP",
  "STENCIL_ZERO",
  "STENCIL_REPLACE",
  "STENCIL_INCRSAT",
  "STENCIL_DECRSAT",
  "STENCIL_INVERT",
  "STENCIL_INCR",
  "STENCIL_DECR",

  --- STENCILCOMPARISONFUNCTION
  "STENCILCOMPARISONFUNCTION_NEVER",
  "STENCILCOMPARISONFUNCTION_LESS",
  "STENCILCOMPARISONFUNCTION_EQUAL",
  "STENCILCOMPARISONFUNCTION_LESSEQUAL",
  "STENCILCOMPARISONFUNCTION_GREATER",
  "STENCILCOMPARISONFUNCTION_NOTEQUAL",
  "STENCILCOMPARISONFUNCTION_GREATEREQUAL",
  "STENCILCOMPARISONFUNCTION_ALWAYS",

  --- STENCILOPERATION
  "STENCILOPERATION_KEEP",
  "STENCILOPERATION_ZERO",
  "STENCILOPERATION_REPLACE",
  "STENCILOPERATION_INCRSAT",
  "STENCILOPERATION_DECRSAT",
  "STENCILOPERATION_INVERT",
  "STENCILOPERATION_INCR",
  "STENCILOPERATION_DECR",

  --- STEPSOUNDTIME
  "STEPSOUNDTIME_NORMAL",
  "STEPSOUNDTIME_ON_LADDER",
  "STEPSOUNDTIME_WATER_KNEE",
  "STEPSOUNDTIME_WATER_FOOT",

  --- STUDIO
  "STUDIO_RENDER",
  "STUDIO_VIEWXFORMATTACHMENTS",
  "STUDIO_DRAWTRANSLUCENTSUBMODELS",
  "STUDIO_TWOPASS",
  "STUDIO_STATIC_LIGHTING",
  "STUDIO_WIREFRAME",
  "STUDIO_ITEM_BLINK",
  "STUDIO_NOSHADOWS",
  "STUDIO_WIREFRAME_VCOLLIDE",
  "STUDIO_GENERATE_STATS",
  "STUDIO_SSAODEPTHTEXTURE",
  "STUDIO_SHADOWDEPTHTEXTURE",
  "STUDIO_TRANSPARENCY",

  --- SURF
  "SURF_LIGHT",
  "SURF_SKY",
  "SURF_WARP",
  "SURF_TRANS",
  "SURF_NOPORTAL",
  "SURF_TRIGGER",
  "SURF_NODRAW",
  "SURF_HINT",
  "SURF_SKIP",
  "SURF_NOLIGHT",
  "SURF_BUMPLIGHT",
  "SURF_NOSHADOWS",
  "SURF_NODECALS",
  "SURF_NOCHOP",
  "SURF_HITBOX",

  --- TEAM
  "TEAM_CONNECTING",
  "TEAM_UNASSIGNED",
  "TEAM_SPECTATOR",

  --- TEXFILTER

  --- TEXT_ALIGN
  "TEXT_ALIGN_LEFT",
  "TEXT_ALIGN_CENTER",
  "TEXT_ALIGN_RIGHT",
  "TEXT_ALIGN_TOP",
  "TEXT_ALIGN_BOTTOM",

  --- TEXTUREFLAGS
  "TEXTUREFLAGS_POINTSAMPLE",
  "TEXTUREFLAGS_TRILINEAR",
  "TEXTUREFLAGS_CLAMPS",
  "TEXTUREFLAGS_CLAMPT",
  "TEXTUREFLAGS_ANISOTROPIC",
  "TEXTUREFLAGS_HINT_DXT5",
  "TEXTUREFLAGS_PWL_CORRECTED",
  "TEXTUREFLAGS_NORMAL",
  "TEXTUREFLAGS_NOMIP",
  "TEXTUREFLAGS_NOLOD",
  "TEXTUREFLAGS_ALL_MIPS",
  "TEXTUREFLAGS_PROCEDURAL",
  "TEXTUREFLAGS_ONEBITALPHA",
  "TEXTUREFLAGS_EIGHTBITALPHA",
  "TEXTUREFLAGS_ENVMAP",
  "TEXTUREFLAGS_RENDERTARGET",
  "TEXTUREFLAGS_DEPTHRENDERTARGET",
  "TEXTUREFLAGS_NODEBUGOVERRIDE",
  "TEXTUREFLAGS_SINGLECOPY",
  "TEXTUREFLAGS_UNUSED_00080000",
  "TEXTUREFLAGS_UNUSED_00100000",
  "TEXTUREFLAGS_IMMEDIATE_CLEANUP",
  "TEXTUREFLAGS_UNUSED_00200000",
  "TEXTUREFLAGS_UNUSED_00400000",
  "TEXTUREFLAGS_NODEPTHBUFFER",
  "TEXTUREFLAGS_UNUSED_01000000",
  "TEXTUREFLAGS_CLAMPU",
  "TEXTUREFLAGS_VERTEXTEXTURE",
  "TEXTUREFLAGS_SSBUMP",
  "TEXTUREFLAGS_UNUSED_10000000",
  "TEXTUREFLAGS_BORDER",
  "TEXTUREFLAGS_UNUSED_40000000",
  "TEXTUREFLAGS_UNUSED_80000000",

  --- TRACER
  "TRACER_NONE",
  "TRACER_LINE",
  "TRACER_RAIL",
  "TRACER_BEAM",
  "TRACER_LINE_AND_WHIZ",

  --- TRANSMIT
  "TRANSMIT_ALWAYS",
  "TRANSMIT_NEVER",
  "TRANSMIT_PVS",

  --- TYPE
  "TYPE_ANGLE",
  "TYPE_BOOL",
  "TYPE_COLOR",
  "TYPE_CONVAR",
  "TYPE_COUNT",
  "TYPE_DAMAGEINFO",
  "TYPE_DLIGHT",
  "TYPE_EFFECTDATA",
  "TYPE_ENTITY",
  "TYPE_FILE",
  "TYPE_FUNCTION",
  "TYPE_IMESH",
  "TYPE_INVALID",
  "TYPE_LIGHTUSERDATA",
  "TYPE_LOCOMOTION",
  "TYPE_MATERIAL",
  "TYPE_MATRIX",
  "TYPE_MOVEDATA",
  "TYPE_NAVAREA",
  "TYPE_NAVLADDER",
  "TYPE_NIL",
  "TYPE_NUMBER",
  "TYPE_PANEL",
  "TYPE_PARTICLE",
  "TYPE_PARTICLEEMITTER",
  "TYPE_PARTICLESYSTEM",
  "TYPE_PATH",
  "TYPE_PHYSOBJ",
  "TYPE_PIXELVISHANDLE",
  "TYPE_PROJECTEDTEXTURE",
  "TYPE_RECIPIENTFILTER",
  "TYPE_RESTORE",
  "TYPE_SAVE",
  "TYPE_SCRIPTEDVEHICLE",
  "TYPE_SOUND",
  "TYPE_SOUNDHANDLE",
  "TYPE_STRING",
  "TYPE_TABLE",
  "TYPE_TEXTURE",
  "TYPE_THREAD",
  "TYPE_USERCMD",
  "TYPE_USERDATA",
  "TYPE_USERMSG",
  "TYPE_VECTOR",
  "TYPE_VIDEO",

  --- USE
  "USE_OFF",
  "USE_ON",
  "USE_SET",
  "USE_TOGGLE",

  --- WEAPON_PROFICIENCY
  "WEAPON_PROFICIENCY_POOR",
  "WEAPON_PROFICIENCY_AVERAGE",
  "WEAPON_PROFICIENCY_GOOD",
  "WEAPON_PROFICIENCY_VERY_GOOD",
  "WEAPON_PROFICIENCY_PERFECT",

  -- END_GENERATED_CODE
  "BaseClass",
  "CLIENT",
  "DEFINE_BASECLASS",
  "GAMEMODE",
  "NULL",
  "SERVER",
  "VERSION",
  "TEXFILTER"
}
stds.garrysmod.globals = {
  "EFFECT",
  "ENT",
  "TOOL",
  "SWEP",
}

stds.wiremod = {}
stds.wiremod.globals = {
  "BeamNetVars",
  "CPULib",
  "FLIR",
  "GPULib",
  "E2Lib",
  "E2Helper",
  "HCOMP",
  "WireLib",
  "gmod_tool_auto",

  -- TODO: Move these into CPULib/GPULib/SPULib:
  "ZVM",
  "ZCPU_Editor",
  "ZGPU_Editor",
  "ZSPU_Editor",
  "WireGPU",
  "WireGPU_matBuffer",
  "WireGPU_matBuffer",
  "WireSPU_GetSound",
  "WireSPU_MaxChannels",
  "WireGPU_Monitors",

  -- TODO: Move these into E2Lib:
  "__e2setcost",
  "CanRunConsoleCommand",
  "EGP",
  "Expression2GetName",
  "Expression2SetName",
  "e2_extpp_init",
  "e2_extpp_pass1",
  "e2_extpp_pass2",
  "e2_function_data_received",
  "e2_get_typeid",
  "e2_hardquota",
  "e2_parse_args",
  "e2_softquota",
  "e2_tickquota",
  "wire_expression_callbacks",
  "wire_expression_types",
  "wire_expression_types2",
  "wire_expression2_CallHook",
  "wire_expression2_PreLoadExtensions",
  "wire_expression2_PostLoadExtensions",
  "wire_expression2_delta",
  "wire_expression2_editor",
  "wire_expression2_funcs",
  "wire_expression2_is_reload",
  "wire_expression2_funclist",
  "wire_expression2_constants",
  "wire_expression2_funclist_lowercase",
  "wire_expression2_namefunc",
  "wire_expression2_prepare_functiondata",
  "wire_expression2_reload",
  "wire_expression2_reset_extensions",
  "wire_expression2_sendfunctions",
  "wire_expression2_validate",
  "registerCallback",
  "tps_pretty",

  -- TODO: Move these into WireLib:
  "AddWireAdminMaxDevice",
  "GateActions",
  "ModelPlug_AddToCPanel",
  "ModelPlug_AddToCPanel_Multi",
  "ModelPlug_Register",
  "WireDermaExts",
  "WireGatesSorted",
  "WireTextEditor",
  "WireToolHelpers",
  "WireToolSetup",
  "WireToolObj",
  "Wire_AdjustInputs",
  "Wire_AdjustOutputs",
  "Wire_CreateInputs",
  "Wire_CreateOutputs",
  "Wire_DrawTracerBeam",
  "Wire_Keyboard_Remap",
  "Wire_Render",
  "Wire_Remove",
  "Wire_TriggerOutput",
  "Wire_UpdateRenderBounds",

  -- TODO: Find an appropriate place for these
  "AddFXEmitterEffect",
  "Derma_StringRequestNoBlur",
  "MakeTextScreenLayouter",
  "NOTIFYSOUND_NONE",
  "NOTIFYSOUND_DRIP1",
  "NOTIFYSOUND_DRIP2",
  "NOTIFYSOUND_DRIP3",
  "NOTIFYSOUND_DRIP4",
  "NOTIFYSOUND_DRIP5",
  "NOTIFYSOUND_ERROR1",
  "NOTIFYSOUND_CONFIRM1",
  "NOTIFYSOUND_CONFIRM2",
  "NOTIFYSOUND_CONFIRM3",
  "NOTIFYSOUND_CONFIRM4",
  "NOTIFY_GENERIC",
  "NOTIFY_ERROR",
  "NOTIFY_UNDO",
  "NOTIFY_HINT",
  "NOTIFY_CLEANUP",
  "ipairs_map",
  "pairs_ac",
  "pairs_consume",
  "pairs_map",
  "pairs_sortkeys",
  "pairs_sortvalues",
  "HUDIndicator_GetCurrentRegistered",
  "initE2Editor",
}
